import FWCore.ParameterSet.Config as cms

btvObjects = cms.VPSet(
       cms.PSet(
           pathNAME = cms.string("HLT_DoublePFJets100MaxDeta1p6_DoubleCaloBTagCSV_p33"),
           moduleNAME = cms.string("hltBTagCalo80x6CSVp0p92DoubleWithMatching"),
           label  = cms.string("CALO b-jet (double)"),
           xTITLE = cms.string("CALO b-jet"),
           etaBINNING    = cms.vdouble(-2.5,-2.0,-1.5,-1.0,-0.5,0.,0.5,1.0,1.5,2.0,2.5),
           ptBINNING     = cms.vdouble(0.,50.,60.,70.,80.,90.,100.,110.,120.,130.,140.,150.,160.,170.,180.,190.,200.,250.,300.,400.,500.),
           phiBINNING    = cms.vdouble(-3.2,-3.,-2.8,-2.6,-2.4,-2.2,-2.0,-1.8,-1.6,-1.4,-1.2,-1.0,-0.8,-0.6,-0.4,-0.2,0.,0.2,0.4,0.6,0.8,1.0,1.2,1.4,1.6,1.8,2.0,2.2,2.4,2.6,2.8,3.0,3.2),
           massBINNING   = cms.vdouble(),
           dxyBINNING    = cms.vdouble(),
           dzBINNING    = cms.vdouble(),
           dimassBINNING = cms.vdouble(0.,50.,60.,70.,80.,90.,100.,110.,120.,130.,140.,150.,200.,250.,300.,400.,500.),
           displayInPrimary_eta      = cms.bool(True),
           displayInPrimary_phi      = cms.bool(True),
           displayInPrimary_pt       = cms.bool(True),
           displayInPrimary_mass     = cms.bool(False),
           displayInPrimary_energy   = cms.bool(False),
           displayInPrimary_csv      = cms.bool(True),
           displayInPrimary_etaVSphi = cms.bool(True),
           displayInPrimary_pt_HEP17 = cms.bool(True),
           displayInPrimary_pt_HEM17 = cms.bool(True),
           displayInPrimary_MR       = cms.bool(False),
           displayInPrimary_RSQ      = cms.bool(False),
           displayInPrimary_dxy      = cms.bool(False),
           displayInPrimary_dz       = cms.bool(False),
           displayInPrimary_dimass   = cms.bool(False),                      
           doPlot2D    = cms.untracked.bool(True),
           doPlotETA   = cms.untracked.bool(True),
           doPlotMASS  = cms.untracked.bool(False),
           doPlotENERGY = cms.untracked.bool(False),
           doPlotHEP17 = cms.untracked.bool(True),
           doPlotCSV   = cms.untracked.bool(True),
           doCALO      = cms.untracked.bool(True),
           doPF        = cms.untracked.bool(False),
           doPlotRazor = cms.untracked.bool(False),
           doPlotDXY    = cms.untracked.bool(False),
           doPlotDZ     = cms.untracked.bool(False),
           doPlotDiMass = cms.untracked.bool(True),
       ),
       cms.PSet(
           pathNAME = cms.string("HLT_DoublePFJets200_CaloBTagCSV_p33"),
           moduleNAME = cms.string("hltBTagCalo80x6CSVp0p92SingleWithMatching"),
           label  = cms.string("CALO b-jet (single)"),
           xTITLE = cms.string("CALO b-jet"),
           etaBINNING    = cms.vdouble(-2.5,-2.0,-1.5,-1.0,-0.5,0.,0.5,1.0,1.5,2.0,2.5),
           ptBINNING     = cms.vdouble(0.,50.,60.,70.,80.,90.,100.,110.,120.,130.,140.,150.,160.,170.,180.,190.,200.,250.,300.,400.,500.),
           phiBINNING    = cms.vdouble(-3.2,-3.,-2.8,-2.6,-2.4,-2.2,-2.0,-1.8,-1.6,-1.4,-1.2,-1.0,-0.8,-0.6,-0.4,-0.2,0.,0.2,0.4,0.6,0.8,1.0,1.2,1.4,1.6,1.8,2.0,2.2,2.4,2.6,2.8,3.0,3.2),
           massBINNING   = cms.vdouble(),
           dxyBINNING    = cms.vdouble(),
           dzBINNING    = cms.vdouble(),
           dimassBINNING = cms.vdouble(0.,50.,60.,70.,80.,90.,100.,110.,120.,130.,140.,150.,200.,250.,300.,400.,500.),
           displayInPrimary_eta      = cms.bool(True),
           displayInPrimary_phi      = cms.bool(True),
           displayInPrimary_pt       = cms.bool(True),
           displayInPrimary_mass     = cms.bool(False),
           displayInPrimary_energy   = cms.bool(False),
           displayInPrimary_csv      = cms.bool(True),
           displayInPrimary_etaVSphi = cms.bool(True),
           displayInPrimary_pt_HEP17 = cms.bool(True),
           displayInPrimary_pt_HEM17 = cms.bool(True),
           displayInPrimary_MR       = cms.bool(False),
           displayInPrimary_RSQ      = cms.bool(False),
           displayInPrimary_dxy      = cms.bool(False),
           displayInPrimary_dz       = cms.bool(False),
           displayInPrimary_dimass   = cms.bool(False),                      
           doPlot2D    = cms.untracked.bool(True),
           doPlotETA   = cms.untracked.bool(True),
           doPlotMASS  = cms.untracked.bool(False),
           doPlotENERGY = cms.untracked.bool(False),
           doPlotHEP17 = cms.untracked.bool(True),
           doPlotCSV   = cms.untracked.bool(True),
           doCALO      = cms.untracked.bool(True),
           doPF        = cms.untracked.bool(False),
           doPlotRazor = cms.untracked.bool(False),
           doPlotDXY    = cms.untracked.bool(False),
           doPlotDZ     = cms.untracked.bool(False),
           doPlotDiMass = cms.untracked.bool(True),
       ),
       cms.PSet(
           pathNAME = cms.string("HLT_Mu12_DoublePFJets62MaxDeta1p6_DoubleCaloBTagCSV_p33"),
           moduleNAME = cms.string("hltBTagCalo30x8CSVp0p92DoubleWithMatching"),
           label  = cms.string("CALO b-jet (double w muon)"),
           xTITLE = cms.string("CALO b-jet"),
           etaBINNING    = cms.vdouble(-2.5,-2.0,-1.5,-1.0,-0.5,0.,0.5,1.0,1.5,2.0,2.5),
           ptBINNING     = cms.vdouble(0.,50.,60.,70.,80.,90.,100.,110.,120.,130.,140.,150.,160.,170.,180.,190.,200.,250.,300.,400.,500.),
           phiBINNING    = cms.vdouble(-3.2,-3.,-2.8,-2.6,-2.4,-2.2,-2.0,-1.8,-1.6,-1.4,-1.2,-1.0,-0.8,-0.6,-0.4,-0.2,0.,0.2,0.4,0.6,0.8,1.0,1.2,1.4,1.6,1.8,2.0,2.2,2.4,2.6,2.8,3.0,3.2),
           massBINNING   = cms.vdouble(),
           dxyBINNING    = cms.vdouble(),
           dzBINNING    = cms.vdouble(),
           dimassBINNING = cms.vdouble(0.,50.,60.,70.,80.,90.,100.,110.,120.,130.,140.,150.,200.,250.,300.,400.,500.),
           displayInPrimary_eta      = cms.bool(True),
           displayInPrimary_phi      = cms.bool(True),
           displayInPrimary_pt       = cms.bool(True),
           displayInPrimary_mass     = cms.bool(False),
           displayInPrimary_energy   = cms.bool(False),
           displayInPrimary_csv      = cms.bool(True),
           displayInPrimary_etaVSphi = cms.bool(True),
           displayInPrimary_pt_HEP17 = cms.bool(True),
           displayInPrimary_pt_HEM17 = cms.bool(True),
           displayInPrimary_MR       = cms.bool(False),
           displayInPrimary_RSQ      = cms.bool(False),
           displayInPrimary_dxy      = cms.bool(False),
           displayInPrimary_dz       = cms.bool(False),
           displayInPrimary_dimass   = cms.bool(False),                      
           doPlot2D    = cms.untracked.bool(True),
           doPlotETA   = cms.untracked.bool(True),
           doPlotMASS  = cms.untracked.bool(False),
           doPlotENERGY = cms.untracked.bool(False),
           doPlotHEP17 = cms.untracked.bool(True),
           doPlotCSV   = cms.untracked.bool(True),
           doCALO      = cms.untracked.bool(True),
           doPF        = cms.untracked.bool(False),
           doPlotRazor = cms.untracked.bool(False),
           doPlotDXY    = cms.untracked.bool(False),
           doPlotDZ     = cms.untracked.bool(False),
           doPlotDiMass = cms.untracked.bool(True),
       ),
       cms.PSet(
           pathNAME = cms.string("HLT_Mu12_DoublePFJets200_CaloBTagCSV_p33"),
           moduleNAME = cms.string("hltBTagCalo30x8CSVp0p92SingleWithMatching"),
#           label  = cms.string("CALO b-jet (single w/ muon)"),
           label  = cms.string("CALO b-jet (single w muon)"),
           xTITLE = cms.string("CALO b-jet"),
           etaBINNING    = cms.vdouble(-2.5,-2.0,-1.5,-1.0,-0.5,0.,0.5,1.0,1.5,2.0,2.5),
           ptBINNING     = cms.vdouble(0.,50.,60.,70.,80.,90.,100.,110.,120.,130.,140.,150.,160.,170.,180.,190.,200.,250.,300.,400.,500.),
           phiBINNING    = cms.vdouble(-3.2,-3.,-2.8,-2.6,-2.4,-2.2,-2.0,-1.8,-1.6,-1.4,-1.2,-1.0,-0.8,-0.6,-0.4,-0.2,0.,0.2,0.4,0.6,0.8,1.0,1.2,1.4,1.6,1.8,2.0,2.2,2.4,2.6,2.8,3.0,3.2),
           massBINNING   = cms.vdouble(),
           dxyBINNING    = cms.vdouble(),
           dzBINNING    = cms.vdouble(),
           dimassBINNING = cms.vdouble(0.,50.,60.,70.,80.,90.,100.,110.,120.,130.,140.,150.,200.,250.,300.,400.,500.),
           displayInPrimary_eta      = cms.bool(True),
           displayInPrimary_phi      = cms.bool(True),
           displayInPrimary_pt       = cms.bool(True),
           displayInPrimary_mass     = cms.bool(False),
           displayInPrimary_energy   = cms.bool(False),
           displayInPrimary_csv      = cms.bool(True),
           displayInPrimary_etaVSphi = cms.bool(True),
           displayInPrimary_pt_HEP17 = cms.bool(True),
           displayInPrimary_pt_HEM17 = cms.bool(True),
           displayInPrimary_MR       = cms.bool(False),
           displayInPrimary_RSQ      = cms.bool(False),
           displayInPrimary_dxy      = cms.bool(False),
           displayInPrimary_dz       = cms.bool(False),
           displayInPrimary_dimass   = cms.bool(False),                      
           doPlot2D    = cms.untracked.bool(True),
           doPlotETA   = cms.untracked.bool(True),
           doPlotMASS  = cms.untracked.bool(False),
           doPlotENERGY = cms.untracked.bool(False),
           doPlotHEP17 = cms.untracked.bool(True),
           doPlotCSV   = cms.untracked.bool(True),
           doCALO      = cms.untracked.bool(True),
           doPF        = cms.untracked.bool(False),
           doPlotRazor = cms.untracked.bool(False),
           doPlotDXY    = cms.untracked.bool(False),
           doPlotDZ     = cms.untracked.bool(False),
           doPlotDiMass = cms.untracked.bool(True),
       ),
       cms.PSet(
           pathNAME = cms.string("HLT_PFHT380_SixPFJet32_DoublePFBTagCSV_2p2"),
           moduleNAME = cms.string("hltBTagPFCSVp075Double"),
           label  = cms.string("PF b-jet (double)"),
           xTITLE = cms.string("PF b-jet"),
           etaBINNING    = cms.vdouble(-2.5,-2.0,-1.5,-1.0,-0.5,0.,0.5,1.0,1.5,2.0,2.5),
           ptBINNING     = cms.vdouble(0.,20.,30.,40.,50.,60.,70.,80.,90.,100.,150.,200.,250.,300.,400.,500.),
           phiBINNING    = cms.vdouble(-3.2,-3.,-2.8,-2.6,-2.4,-2.2,-2.0,-1.8,-1.6,-1.4,-1.2,-1.0,-0.8,-0.6,-0.4,-0.2,0.,0.2,0.4,0.6,0.8,1.0,1.2,1.4,1.6,1.8,2.0,2.2,2.4,2.6,2.8,3.0,3.2),
           massBINNING   = cms.vdouble(),
           dxyBINNING    = cms.vdouble(),
           dzBINNING    = cms.vdouble(),
           dimassBINNING = cms.vdouble(0.,50.,60.,70.,80.,90.,100.,110.,120.,130.,140.,150.,200.,250.,300.,400.,500.),
           displayInPrimary_eta      = cms.bool(True),
           displayInPrimary_phi      = cms.bool(True),
           displayInPrimary_pt       = cms.bool(True),
           displayInPrimary_mass     = cms.bool(False),
           displayInPrimary_energy   = cms.bool(False),
           displayInPrimary_csv      = cms.bool(True),
           displayInPrimary_etaVSphi = cms.bool(True),
           displayInPrimary_pt_HEP17 = cms.bool(True),
           displayInPrimary_pt_HEM17 = cms.bool(True),
           displayInPrimary_MR       = cms.bool(False),
           displayInPrimary_RSQ      = cms.bool(False),
           displayInPrimary_dxy      = cms.bool(False),
           displayInPrimary_dz       = cms.bool(False),
           displayInPrimary_dimass   = cms.bool(False),                      
           doPlot2D    = cms.untracked.bool(True),
           doPlotETA   = cms.untracked.bool(True),
           doPlotMASS  = cms.untracked.bool(False),
           doPlotENERGY = cms.untracked.bool(False),
           doPlotHEP17 = cms.untracked.bool(True),
           doPlotCSV   = cms.untracked.bool(True),
           doCALO      = cms.untracked.bool(False),
           doPF        = cms.untracked.bool(True),
           doPlotRazor = cms.untracked.bool(False),
           doPlotDXY    = cms.untracked.bool(False),
           doPlotDZ     = cms.untracked.bool(False),
           doPlotDiMass = cms.untracked.bool(True),
       ),
       cms.PSet(
           pathNAME = cms.string("HLT_PFHT430_SixPFJet40_PFBTagCSV_1p5"),
           moduleNAME = cms.string("hltBTagPFCSVp080Single"),
           label  = cms.string("PF b-jet (single)"),
           xTITLE = cms.string("PF b-jet"),
           etaBINNING    = cms.vdouble(-2.5,-2.0,-1.5,-1.0,-0.5,0.,0.5,1.0,1.5,2.0,2.5),
           ptBINNING     = cms.vdouble(0.,20.,30.,50.,60.,70.,80.,90.,100.,150.,200.,250.,300.,400.,500.),
           phiBINNING    = cms.vdouble(-3.2,-3.,-2.8,-2.6,-2.4,-2.2,-2.0,-1.8,-1.6,-1.4,-1.2,-1.0,-0.8,-0.6,-0.4,-0.2,0.,0.2,0.4,0.6,0.8,1.0,1.2,1.4,1.6,1.8,2.0,2.2,2.4,2.6,2.8,3.0,3.2),
           massBINNING   = cms.vdouble(),
           dxyBINNING    = cms.vdouble(),
           dzBINNING    = cms.vdouble(),
           dimassBINNING = cms.vdouble(0.,50.,60.,70.,80.,90.,100.,110.,120.,130.,140.,150.,200.,250.,300.,400.,500.),
           displayInPrimary_eta      = cms.bool(True),
           displayInPrimary_phi      = cms.bool(True),
           displayInPrimary_pt       = cms.bool(True),
           displayInPrimary_mass     = cms.bool(False),
           displayInPrimary_energy   = cms.bool(False),
           displayInPrimary_csv      = cms.bool(True),
           displayInPrimary_etaVSphi = cms.bool(True),
           displayInPrimary_pt_HEP17 = cms.bool(True),
           displayInPrimary_pt_HEM17 = cms.bool(True),
           displayInPrimary_MR       = cms.bool(False),
           displayInPrimary_RSQ      = cms.bool(False),
           displayInPrimary_dxy      = cms.bool(False),
           displayInPrimary_dz       = cms.bool(False),
           displayInPrimary_dimass   = cms.bool(False),                      
           doPlot2D    = cms.untracked.bool(True),
           doPlotETA   = cms.untracked.bool(True),
           doPlotMASS  = cms.untracked.bool(False),
           doPlotENERGY = cms.untracked.bool(False),
           doPlotHEP17 = cms.untracked.bool(True),
           doPlotCSV   = cms.untracked.bool(True),
           doCALO      = cms.untracked.bool(False),
           doPF        = cms.untracked.bool(True),
           doPlotRazor = cms.untracked.bool(False),
           doPlotDXY    = cms.untracked.bool(False),
           doPlotDZ     = cms.untracked.bool(False),
           doPlotDiMass = cms.untracked.bool(True),
       ),
    ##DeepCSV path for JIRA CMSHLT-1496
       cms.PSet(
           pathNAME = cms.string("HLT_PFHT380_SixPFJet32_DoublePFBTagDeepCSV_2p2"),
           moduleNAME = cms.string("hltBTagPFDeepCSVp075Double"),
           label  = cms.string("PF b-jet (double DeepCSV)"),
           xTITLE = cms.string("PF b-jet"),
           etaBINNING    = cms.vdouble(-2.5,-2.0,-1.5,-1.0,-0.5,0.,0.5,1.0,1.5,2.0,2.5),
           ptBINNING     = cms.vdouble(0.,20.,30.,40.,50.,60.,70.,80.,90.,100.,150.,200.,250.,300.,400.,500.),
           phiBINNING    = cms.vdouble(-3.2,-3.,-2.8,-2.6,-2.4,-2.2,-2.0,-1.8,-1.6,-1.4,-1.2,-1.0,-0.8,-0.6,-0.4,-0.2,0.,0.2,0.4,0.6,0.8,1.0,1.2,1.4,1.6,1.8,2.0,2.2,2.4,2.6,2.8,3.0,3.2),
           massBINNING   = cms.vdouble(),
           dxyBINNING    = cms.vdouble(),
           dzBINNING    = cms.vdouble(),
           dimassBINNING = cms.vdouble(0.,50.,60.,70.,80.,90.,100.,110.,120.,130.,140.,150.,200.,250.,300.,400.,500.),
           displayInPrimary_eta      = cms.bool(True),
           displayInPrimary_phi      = cms.bool(True),
           displayInPrimary_pt       = cms.bool(True),
           displayInPrimary_mass     = cms.bool(False),
           displayInPrimary_energy   = cms.bool(False),
           displayInPrimary_csv      = cms.bool(True),
           displayInPrimary_etaVSphi = cms.bool(True),
           displayInPrimary_pt_HEP17 = cms.bool(True),
           displayInPrimary_pt_HEM17 = cms.bool(True),
           displayInPrimary_MR       = cms.bool(False),
           displayInPrimary_RSQ      = cms.bool(False),
           displayInPrimary_dxy      = cms.bool(False),
           displayInPrimary_dz       = cms.bool(False),
           displayInPrimary_dimass   = cms.bool(False),                      
           doPlot2D    = cms.untracked.bool(True),
           doPlotETA   = cms.untracked.bool(True),
           doPlotMASS  = cms.untracked.bool(False),
           doPlotENERGY = cms.untracked.bool(False),
           doPlotHEP17 = cms.untracked.bool(True),
           doPlotCSV   = cms.untracked.bool(True),
           doCALO      = cms.untracked.bool(False),
           doPF        = cms.untracked.bool(True),
           doPlotRazor = cms.untracked.bool(False),
           doPlotDXY    = cms.untracked.bool(False),
           doPlotDZ     = cms.untracked.bool(False),
           doPlotDiMass = cms.untracked.bool(True),
       ),
#       caloHT = cms.PSet(
)

