import FWCore.ParameterSet.Config as cms

egmObjects = cms.VPSet(
       cms.PSet(
           pathNAME = cms.string("HLT_DoubleEle33_CaloIdL_MW"),
           moduleNAME = cms.string("hltDiEle33CaloIdLMWPMS2UnseededFilter"),
           label  = cms.string("unseeded electron"),
           xTITLE = cms.string("unseeded electron"),
           etaBINNING  = cms.vdouble(-3.,-2.5,-2.0,-1.7,-1.566,-1.4442,-1.3,-1.0,-0.5,0,0.5,1.,1.3,1.4442,1.566,1.7,2.0,2.5,3.0),
           ptBINNING   = cms.vdouble(0.,10.,20.,30.,40.,50.,60.,70.,80.,90.,100.,110.,120.,130.,140.,150.,160.,170.,180.,190.,200.),
           phiBINNING  = cms.vdouble(-3.2,-3.,-2.8,-2.6,-2.4,-2.2,-2.0,-1.8,-1.6,-1.4,-1.2,-1.0,-0.8,-0.6,-0.4,-0.2,0.,0.2,0.4,0.6,0.8,1.0,1.2,1.4,1.6,1.8,2.0,2.2,2.4,2.6,2.8,3.0,3.2),
           massBINNING = cms.vdouble(),
           dxyBINNING = cms.vdouble(-2.0,-1.5,-1.0,-0.8,-0.6,-0.4,-0.2,-0.1,-0.05,-0.025,0.0,0.025,0.05,0.1,0.2,0.4,0.6,0.8,1.0,1.5,2.0),
           dzBINNING  = cms.vdouble(-2.0,-1.5,-1.0,-0.8,-0.6,-0.4,-0.2,-0.1,-0.05,-0.025,0.0,0.025,0.05,0.1,0.2,0.4,0.6,0.8,1.0,1.5,2.0),
           dimassBINNING = cms.vdouble(0.,2.0,4.0,6.0,8.0,10.,12.,14.,20.,40.,60.,70.,80.,84.,86.,88.,90.,92.,94.,96.,100.,120.,140.,160.,200.),
           displayInPrimary_eta      = cms.bool(True),
           displayInPrimary_phi      = cms.bool(True),
           displayInPrimary_pt       = cms.bool(True),
           displayInPrimary_mass     = cms.bool(False),
           displayInPrimary_energy   = cms.bool(False),
           displayInPrimary_csv      = cms.bool(False),
           displayInPrimary_etaVSphi = cms.bool(True),
           displayInPrimary_pt_HEP17 = cms.bool(True),
           displayInPrimary_pt_HEM17 = cms.bool(True),
           displayInPrimary_MR       = cms.bool(False),
           displayInPrimary_RSQ      = cms.bool(False),
           displayInPrimary_dxy      = cms.bool(True),
           displayInPrimary_dz       = cms.bool(False),
           displayInPrimary_dimass   = cms.bool(True),
           doPlot2D     = cms.untracked.bool(True),
           doPlotETA    = cms.untracked.bool(True),
           doPlotMASS   = cms.untracked.bool(False),
           doPlotENERGY = cms.untracked.bool(False),
           doPlotHEP17  = cms.untracked.bool(True),
           doPlotCSV    = cms.untracked.bool(False),
           doCALO       = cms.untracked.bool(False),
           doPF         = cms.untracked.bool(False),
           doPlotRazor  = cms.untracked.bool(False),
           doPlotDXY    = cms.untracked.bool(False), # missing electron collection
           doPlotDZ     = cms.untracked.bool(False),
           doPlotDiMass = cms.untracked.bool(True),
       ),
       cms.PSet(
           pathNAME = cms.string("HLT_DoubleEle33_CaloIdL_MW"),
           moduleNAME = cms.string("hltEle33CaloIdLMWPMS2Filter"),
           label  = cms.string("L1 seeded electron"),
           xTITLE = cms.string("L1 seeded electron"),
           etaBINNING  = cms.vdouble(-3.,-2.5,-2.0,-1.7,-1.566,-1.4442,-1.3,-1.0,-0.5,0,0.5,1.,1.3,1.4442,1.566,1.7,2.0,2.5,3.0),
           ptBINNING   = cms.vdouble(0.,10.,20.,30.,40.,50.,60.,70.,80.,90.,100.,110.,120.,130.,140.,150.,160.,170.,180.,190.,200.),
           phiBINNING  = cms.vdouble(-3.2,-3.,-2.8,-2.6,-2.4,-2.2,-2.0,-1.8,-1.6,-1.4,-1.2,-1.0,-0.8,-0.6,-0.4,-0.2,0.,0.2,0.4,0.6,0.8,1.0,1.2,1.4,1.6,1.8,2.0,2.2,2.4,2.6,2.8,3.0,3.2),
           massBINNING = cms.vdouble(),
           dxyBINNING = cms.vdouble(-2.0,-1.5,-1.0,-0.8,-0.6,-0.4,-0.2,-0.1,-0.05,-0.025,0.0,0.025,0.05,0.1,0.2,0.4,0.6,0.8,1.0,1.5,2.0),
           dzBINNING  = cms.vdouble(-2.0,-1.5,-1.0,-0.8,-0.6,-0.4,-0.2,-0.1,-0.05,-0.025,0.0,0.025,0.05,0.1,0.2,0.4,0.6,0.8,1.0,1.5,2.0),
           dimassBINNING = cms.vdouble(0.,2.0,4.0,6.0,8.0,10.,12.,14.,20.,40.,60.,70.,80.,84.,86.,88.,90.,92.,94.,96.,100.,120.,140.,160.,200.),
           displayInPrimary_eta      = cms.bool(True),
           displayInPrimary_phi      = cms.bool(True),
           displayInPrimary_pt       = cms.bool(True),
           displayInPrimary_mass     = cms.bool(False),
           displayInPrimary_energy   = cms.bool(False),
           displayInPrimary_csv      = cms.bool(False),
           displayInPrimary_etaVSphi = cms.bool(True),
           displayInPrimary_pt_HEP17 = cms.bool(True),
           displayInPrimary_pt_HEM17 = cms.bool(True),
           displayInPrimary_MR       = cms.bool(False),
           displayInPrimary_RSQ      = cms.bool(False),
           displayInPrimary_dxy      = cms.bool(True),
           displayInPrimary_dz       = cms.bool(False),
           displayInPrimary_dimass   = cms.bool(True),
           doPlot2D     = cms.untracked.bool(True),
           doPlotETA    = cms.untracked.bool(True),
           doPlotMASS   = cms.untracked.bool(False),
           doPlotENERGY = cms.untracked.bool(False),
           doPlotHEP17  = cms.untracked.bool(True),
           doPlotCSV    = cms.untracked.bool(False),
           doCALO       = cms.untracked.bool(False),
           doPF         = cms.untracked.bool(False),
           doPlotRazor  = cms.untracked.bool(False),
           doPlotDXY    = cms.untracked.bool(False), # missing electron collection
           doPlotDZ     = cms.untracked.bool(False),
           doPlotDiMass = cms.untracked.bool(True),
       ),
       cms.PSet(
           pathNAME = cms.string("HLT_DoublePhoton33_CaloIdL"),
           moduleNAME = cms.string("hltDiEG33CaloIdLClusterShapeUnseededFilter"),
           label  = cms.string("unseeded caloIdL photon"),
           xTITLE = cms.string("unseeded caloIdL photon"),
           etaBINNING  = cms.vdouble(-3.,-2.5,-2.0,-1.7,-1.566,-1.4442,-1.3,-1.0,-0.5,0,0.5,1.,1.3,1.4442,1.566,1.7,2.0,2.5,3.0),
           ptBINNING   = cms.vdouble(0.,10.,20.,30.,40.,50.,60.,70.,80.,90.,100.,110.,120.,130.,140.,150.,160.,170.,180.,190.,200.),
           phiBINNING  = cms.vdouble(-3.2,-3.,-2.8,-2.6,-2.4,-2.2,-2.0,-1.8,-1.6,-1.4,-1.2,-1.0,-0.8,-0.6,-0.4,-0.2,0.,0.2,0.4,0.6,0.8,1.0,1.2,1.4,1.6,1.8,2.0,2.2,2.4,2.6,2.8,3.0,3.2),
           massBINNING = cms.vdouble(),
           dxyBINNING = cms.vdouble(-2.0,-1.5,-1.0,-0.8,-0.6,-0.4,-0.2,-0.1,-0.05,-0.025,0.0,0.025,0.05,0.1,0.2,0.4,0.6,0.8,1.0,1.5,2.0),
           dzBINNING  = cms.vdouble(-2.0,-1.5,-1.0,-0.8,-0.6,-0.4,-0.2,-0.1,-0.05,-0.025,0.0,0.025,0.05,0.1,0.2,0.4,0.6,0.8,1.0,1.5,2.0),
           dimassBINNING = cms.vdouble(0.,2.0,4.0,6.0,8.0,10.,12.,14.,20.,40.,60.,70.,80.,84.,86.,88.,90.,92.,94.,96.,100.,120.,140.,160.,200.),
           displayInPrimary_eta      = cms.bool(True),
           displayInPrimary_phi      = cms.bool(True),
           displayInPrimary_pt       = cms.bool(True),
           displayInPrimary_mass     = cms.bool(False),
           displayInPrimary_energy   = cms.bool(False),
           displayInPrimary_csv      = cms.bool(False),
           displayInPrimary_etaVSphi = cms.bool(True),
           displayInPrimary_pt_HEP17 = cms.bool(True),
           displayInPrimary_pt_HEM17 = cms.bool(True),
           displayInPrimary_MR       = cms.bool(False),
           displayInPrimary_RSQ      = cms.bool(False),
           displayInPrimary_dxy      = cms.bool(True),
           displayInPrimary_dz       = cms.bool(False),
           displayInPrimary_dimass   = cms.bool(True),
           doPlot2D     = cms.untracked.bool(True),
           doPlotETA    = cms.untracked.bool(True),
           doPlotMASS   = cms.untracked.bool(False),
           doPlotENERGY = cms.untracked.bool(False),
           doPlotHEP17  = cms.untracked.bool(True),
           doPlotCSV    = cms.untracked.bool(False),
           doCALO       = cms.untracked.bool(False),
           doPF         = cms.untracked.bool(False),
           doPlotRazor  = cms.untracked.bool(False),
           doPlotDXY    = cms.untracked.bool(False), # missing electron collection
           doPlotDZ     = cms.untracked.bool(False),
           doPlotDiMass = cms.untracked.bool(True),
       ),
       cms.PSet(
           pathNAME = cms.string("HLT_DoublePhoton33_CaloIdL"),
           moduleNAME = cms.string("hltEG33CaloIdLClusterShapeFilter"),
           label  = cms.string("L1 seeded photon"),
           xTITLE = cms.string("L1 seeded photon"),
           etaBINNING  = cms.vdouble(-3.,-2.5,-2.0,-1.7,-1.566,-1.4442,-1.3,-1.0,-0.5,0,0.5,1.,1.3,1.4442,1.566,1.7,2.0,2.5,3.0),
           ptBINNING   = cms.vdouble(0.,50.,100.,150.,200.,250.,300.,350.,400.,450.,470.,480.,490.,500.,510.,520.,530.,540.,550.,560.,570.,580.,590.,600.,610.,620.,650.,1000.),
           phiBINNING  = cms.vdouble(-3.2,-3.,-2.8,-2.6,-2.4,-2.2,-2.0,-1.8,-1.6,-1.4,-1.2,-1.0,-0.8,-0.6,-0.4,-0.2,0.,0.2,0.4,0.6,0.8,1.0,1.2,1.4,1.6,1.8,2.0,2.2,2.4,2.6,2.8,3.0,3.2),
           massBINNING = cms.vdouble(),
           dxyBINNING = cms.vdouble(-2.0,-1.5,-1.0,-0.8,-0.6,-0.4,-0.2,-0.1,-0.05,-0.025,0.0,0.025,0.05,0.1,0.2,0.4,0.6,0.8,1.0,1.5,2.0),
           dzBINNING  = cms.vdouble(-2.0,-1.5,-1.0,-0.8,-0.6,-0.4,-0.2,-0.1,-0.05,-0.025,0.0,0.025,0.05,0.1,0.2,0.4,0.6,0.8,1.0,1.5,2.0),
           dimassBINNING = cms.vdouble(0.,2.0,4.0,6.0,8.0,10.,12.,14.,20.,40.,60.,70.,80.,84.,86.,88.,90.,92.,94.,96.,100.,120.,140.,160.,200.),
           displayInPrimary_eta      = cms.bool(True),
           displayInPrimary_phi      = cms.bool(True),
           displayInPrimary_pt       = cms.bool(True),
           displayInPrimary_mass     = cms.bool(False),
           displayInPrimary_energy   = cms.bool(False),
           displayInPrimary_csv      = cms.bool(False),
           displayInPrimary_etaVSphi = cms.bool(True),
           displayInPrimary_pt_HEP17 = cms.bool(True),
           displayInPrimary_pt_HEM17 = cms.bool(True),
           displayInPrimary_MR       = cms.bool(False),
           displayInPrimary_RSQ      = cms.bool(False),
           displayInPrimary_dxy      = cms.bool(True),
           displayInPrimary_dz       = cms.bool(False),
           displayInPrimary_dimass   = cms.bool(True),
           doPlot2D     = cms.untracked.bool(True),
           doPlotETA    = cms.untracked.bool(True),
           doPlotMASS   = cms.untracked.bool(False),
           doPlotENERGY = cms.untracked.bool(False),
           doPlotHEP17  = cms.untracked.bool(True),
           doPlotCSV    = cms.untracked.bool(False),
           doCALO       = cms.untracked.bool(False),
           doPF         = cms.untracked.bool(False),
           doPlotRazor  = cms.untracked.bool(False),
           doPlotDXY    = cms.untracked.bool(False), # missing electron collection
           doPlotDZ     = cms.untracked.bool(False),
           doPlotDiMass = cms.untracked.bool(True),
       ),
       cms.PSet(
           pathNAME = cms.string("HLT_CaloJet500_NoJetID"),
           moduleNAME = cms.string("hltSingleCaloJet500"),
           label  = cms.string("calo jet 500"),
           xTITLE = cms.string("calo jet"),
           etaBINNING  = cms.vdouble(-3.,-2.5,-2.0,-1.5,-1.0,-0.5,0.,0.5,1.0,1.5,2.0,2.5,3.),
           ptBINNING   = cms.vdouble(0.,50.,100.,150.,200.,250.,300.,350.,400.,450.,470.,480.,490.,500.,510.,520.,530.,550.,600.,650.,1000.),
           phiBINNING  = cms.vdouble(-3.2,-3.,-2.8,-2.6,-2.4,-2.2,-2.0,-1.8,-1.6,-1.4,-1.2,-1.0,-0.8,-0.6,-0.4,-0.2,0.,0.2,0.4,0.6,0.8,1.0,1.2,1.4,1.6,1.8,2.0,2.2,2.4,2.6,2.8,3.0,3.2),
           massBINNING = cms.vdouble(0.,20.,40.,60.,80.,100.,120.,140.,160.,180.,200.),
           dxyBINNING = cms.vdouble(-2.0,-1.5,-1.0,-0.8,-0.6,-0.4,-0.2,-0.1,-0.05,-0.025,0.0,0.025,0.05,0.1,0.2,0.4,0.6,0.8,1.0,1.5,2.0),
           dzBINNING  = cms.vdouble(-2.0,-1.5,-1.0,-0.8,-0.6,-0.4,-0.2,-0.1,-0.05,-0.025,0.0,0.025,0.05,0.1,0.2,0.4,0.6,0.8,1.0,1.5,2.0),
           dimassBINNING = cms.vdouble(0.,2.0,4.0,6.0,8.0,10.,12.,14.,20.,40.,60.,70.,80.,84.,86.,88.,90.,92.,94.,96.,100.,120.,140.,160.,200.),
           displayInPrimary_eta      = cms.bool(True),
           displayInPrimary_phi      = cms.bool(True),
           displayInPrimary_pt       = cms.bool(True),
           displayInPrimary_mass     = cms.bool(False),
           displayInPrimary_energy   = cms.bool(False),
           displayInPrimary_csv      = cms.bool(False),
           displayInPrimary_etaVSphi = cms.bool(True),
           displayInPrimary_pt_HEP17 = cms.bool(True),
           displayInPrimary_pt_HEM17 = cms.bool(True),
           displayInPrimary_MR       = cms.bool(False),
           displayInPrimary_RSQ      = cms.bool(False),
           displayInPrimary_dxy      = cms.bool(True),
           displayInPrimary_dz       = cms.bool(False),
           displayInPrimary_dimass   = cms.bool(False),
           doPlot2D     = cms.untracked.bool(True),
           doPlotETA    = cms.untracked.bool(True),
           doPlotMASS   = cms.untracked.bool(True),
           doPlotENERGY = cms.untracked.bool(False),
           doPlotHEP17  = cms.untracked.bool(True),
           doPlotCSV    = cms.untracked.bool(False),
           doCALO       = cms.untracked.bool(False),
           doPF         = cms.untracked.bool(False),
           doPlotRazor  = cms.untracked.bool(False),
           doPlotDXY    = cms.untracked.bool(False), # missing electron collection
           doPlotDZ     = cms.untracked.bool(False),
           doPlotDiMass = cms.untracked.bool(False),
       ),
       cms.PSet(
           pathNAME = cms.string("HLT_CaloJet550_NoJetID"),
           moduleNAME = cms.string("hltSingleCaloJet550"),
           label  = cms.string("calo jet 550"),
           xTITLE = cms.string("calo jet"),
           etaBINNING  = cms.vdouble(-3.,-2.5,-2.0,-1.5,-1.0,-0.5,0.,0.5,1.0,1.5,2.0,2.5,3.),
           ptBINNING   = cms.vdouble(0.,50.,100.,150.,200.,250.,300.,350.,400.,450.,470.,480.,490.,500.,510.,520.,530.,540.,550.,560.,570.,580.,590.,600.,610.,620.,650.,1000.),
           phiBINNING  = cms.vdouble(-3.2,-3.,-2.8,-2.6,-2.4,-2.2,-2.0,-1.8,-1.6,-1.4,-1.2,-1.0,-0.8,-0.6,-0.4,-0.2,0.,0.2,0.4,0.6,0.8,1.0,1.2,1.4,1.6,1.8,2.0,2.2,2.4,2.6,2.8,3.0,3.2),
           massBINNING = cms.vdouble(0.,20.,40.,60.,80.,100.,120.,140.,160.,180.,200.),
           dxyBINNING = cms.vdouble(-2.0,-1.5,-1.0,-0.8,-0.6,-0.4,-0.2,-0.1,-0.05,-0.025,0.0,0.025,0.05,0.1,0.2,0.4,0.6,0.8,1.0,1.5,2.0),
           dzBINNING  = cms.vdouble(-2.0,-1.5,-1.0,-0.8,-0.6,-0.4,-0.2,-0.1,-0.05,-0.025,0.0,0.025,0.05,0.1,0.2,0.4,0.6,0.8,1.0,1.5,2.0),
           dimassBINNING = cms.vdouble(0.,2.0,4.0,6.0,8.0,10.,12.,14.,20.,40.,60.,70.,80.,84.,86.,88.,90.,92.,94.,96.,100.,120.,140.,160.,200.),
           displayInPrimary_eta      = cms.bool(True),
           displayInPrimary_phi      = cms.bool(True),
           displayInPrimary_pt       = cms.bool(True),
           displayInPrimary_mass     = cms.bool(False),
           displayInPrimary_energy   = cms.bool(False),
           displayInPrimary_csv      = cms.bool(False),
           displayInPrimary_etaVSphi = cms.bool(True),
           displayInPrimary_pt_HEP17 = cms.bool(True),
           displayInPrimary_pt_HEM17 = cms.bool(True),
           displayInPrimary_MR       = cms.bool(False),
           displayInPrimary_RSQ      = cms.bool(False),
           displayInPrimary_dxy      = cms.bool(True),
           displayInPrimary_dz       = cms.bool(False),
           displayInPrimary_dimass   = cms.bool(False),
           doPlot2D     = cms.untracked.bool(True),
           doPlotETA    = cms.untracked.bool(True),
           doPlotMASS   = cms.untracked.bool(True),
           doPlotENERGY = cms.untracked.bool(False),
           doPlotHEP17  = cms.untracked.bool(True),
           doPlotCSV    = cms.untracked.bool(False),
           doCALO       = cms.untracked.bool(False),
           doPF         = cms.untracked.bool(False),
           doPlotRazor  = cms.untracked.bool(False),
           doPlotDXY    = cms.untracked.bool(False), # missing electron collection
           doPlotDZ     = cms.untracked.bool(False),
           doPlotDiMass = cms.untracked.bool(False),
       ),
       cms.PSet(
           pathNAME = cms.string("HLT_Photon300_NoHE"),
           moduleNAME = cms.string("hltEG300erEtFilter"),
           label  = cms.string("high-pT photon"),
           xTITLE = cms.string("high-pT photon"),
           etaBINNING  = cms.vdouble(-3.,-2.5,-2.0,-1.7,-1.566,-1.4442,-1.3,-1.0,-0.5,0,0.5,1.,1.3,1.4442,1.566,1.7,2.0,2.5,3.0),
           ptBINNING   = cms.vdouble(0.,10.,20.,30.,40.,50.,60.,70.,80.,90.,100.,110.,120.,130.,140.,150.,160.,170.,180.,190.,200.),
           phiBINNING  = cms.vdouble(-3.2,-3.,-2.8,-2.6,-2.4,-2.2,-2.0,-1.8,-1.6,-1.4,-1.2,-1.0,-0.8,-0.6,-0.4,-0.2,0.,0.2,0.4,0.6,0.8,1.0,1.2,1.4,1.6,1.8,2.0,2.2,2.4,2.6,2.8,3.0,3.2),
           massBINNING = cms.vdouble(),
           dxyBINNING = cms.vdouble(-2.0,-1.5,-1.0,-0.8,-0.6,-0.4,-0.2,-0.1,-0.05,-0.025,0.0,0.025,0.05,0.1,0.2,0.4,0.6,0.8,1.0,1.5,2.0),
           dzBINNING  = cms.vdouble(-2.0,-1.5,-1.0,-0.8,-0.6,-0.4,-0.2,-0.1,-0.05,-0.025,0.0,0.025,0.05,0.1,0.2,0.4,0.6,0.8,1.0,1.5,2.0),
           dimassBINNING = cms.vdouble(0.,2.0,4.0,6.0,8.0,10.,12.,14.,20.,40.,60.,70.,80.,84.,86.,88.,90.,92.,94.,96.,100.,120.,140.,160.,200.),
           displayInPrimary_eta      = cms.bool(True),
           displayInPrimary_phi      = cms.bool(True),
           displayInPrimary_pt       = cms.bool(True),
           displayInPrimary_mass     = cms.bool(False),
           displayInPrimary_energy   = cms.bool(False),
           displayInPrimary_csv      = cms.bool(False),
           displayInPrimary_etaVSphi = cms.bool(True),
           displayInPrimary_pt_HEP17 = cms.bool(True),
           displayInPrimary_pt_HEM17 = cms.bool(True),
           displayInPrimary_MR       = cms.bool(False),
           displayInPrimary_RSQ      = cms.bool(False),
           displayInPrimary_dxy      = cms.bool(True),
           displayInPrimary_dz       = cms.bool(False),
           displayInPrimary_dimass   = cms.bool(False),
           doPlot2D     = cms.untracked.bool(True),
           doPlotETA    = cms.untracked.bool(True),
           doPlotMASS   = cms.untracked.bool(False),
           doPlotENERGY = cms.untracked.bool(False),
           doPlotHEP17  = cms.untracked.bool(True),
           doPlotCSV    = cms.untracked.bool(False),
           doCALO       = cms.untracked.bool(False),
           doPF         = cms.untracked.bool(False),
           doPlotRazor  = cms.untracked.bool(False),
           doPlotDXY    = cms.untracked.bool(False), # missing electron collection
           doPlotDZ     = cms.untracked.bool(False),
           doPlotDiMass = cms.untracked.bool(False),
       ),
       cms.PSet(
           pathNAME = cms.string("HLT_DoublePhoton70"),
           moduleNAME = cms.string("hltDiEG70HEUnseededFilter"),
           label  = cms.string("unseeded photon70"),
           xTITLE = cms.string("unseeded photon"),
           etaBINNING  = cms.vdouble(-3.,-2.5,-2.0,-1.7,-1.566,-1.4442,-1.3,-1.0,-0.5,0,0.5,1.,1.3,1.4442,1.566,1.7,2.0,2.5,3.0),
           ptBINNING   = cms.vdouble(0.,10.,20.,30.,40.,50.,60.,70.,80.,90.,100.,110.,120.,130.,140.,150.,160.,170.,180.,190.,200.),
           phiBINNING  = cms.vdouble(-3.2,-3.,-2.8,-2.6,-2.4,-2.2,-2.0,-1.8,-1.6,-1.4,-1.2,-1.0,-0.8,-0.6,-0.4,-0.2,0.,0.2,0.4,0.6,0.8,1.0,1.2,1.4,1.6,1.8,2.0,2.2,2.4,2.6,2.8,3.0,3.2),
           massBINNING = cms.vdouble(),
           dxyBINNING = cms.vdouble(-2.0,-1.5,-1.0,-0.8,-0.6,-0.4,-0.2,-0.1,-0.05,-0.025,0.0,0.025,0.05,0.1,0.2,0.4,0.6,0.8,1.0,1.5,2.0),
           dzBINNING  = cms.vdouble(-2.0,-1.5,-1.0,-0.8,-0.6,-0.4,-0.2,-0.1,-0.05,-0.025,0.0,0.025,0.05,0.1,0.2,0.4,0.6,0.8,1.0,1.5,2.0),
           dimassBINNING = cms.vdouble(0.,2.0,4.0,6.0,8.0,10.,12.,14.,20.,40.,60.,70.,80.,84.,86.,88.,90.,92.,94.,96.,100.,120.,140.,160.,200.),
           displayInPrimary_eta      = cms.bool(True),
           displayInPrimary_phi      = cms.bool(True),
           displayInPrimary_pt       = cms.bool(True),
           displayInPrimary_mass     = cms.bool(False),
           displayInPrimary_energy   = cms.bool(False),
           displayInPrimary_csv      = cms.bool(False),
           displayInPrimary_etaVSphi = cms.bool(True),
           displayInPrimary_pt_HEP17 = cms.bool(True),
           displayInPrimary_pt_HEM17 = cms.bool(True),
           displayInPrimary_MR       = cms.bool(False),
           displayInPrimary_RSQ      = cms.bool(False),
           displayInPrimary_dxy      = cms.bool(True),
           displayInPrimary_dz       = cms.bool(False),
           displayInPrimary_dimass   = cms.bool(False),
           doPlot2D     = cms.untracked.bool(True),
           doPlotETA    = cms.untracked.bool(True),
           doPlotMASS   = cms.untracked.bool(False),
           doPlotENERGY = cms.untracked.bool(False),
           doPlotHEP17  = cms.untracked.bool(True),
           doPlotCSV    = cms.untracked.bool(False),
           doCALO       = cms.untracked.bool(False),
           doPF         = cms.untracked.bool(False),
           doPlotRazor  = cms.untracked.bool(False),
           doPlotDXY    = cms.untracked.bool(False), # missing electron collection
           doPlotDZ     = cms.untracked.bool(False),
           doPlotDiMass = cms.untracked.bool(False),
       ),
       cms.PSet(
           pathNAME = cms.string("HLT_DoublePhoton70"),
           moduleNAME = cms.string("hltEG70HEFilter"),
           label  = cms.string("L1 seeded photon70"),
           xTITLE = cms.string("L1 seeded photon"),
           etaBINNING  = cms.vdouble(-3.,-2.5,-2.0,-1.7,-1.566,-1.4442,-1.3,-1.0,-0.5,0,0.5,1.,1.3,1.4442,1.566,1.7,2.0,2.5,3.0),
           ptBINNING   = cms.vdouble(0.,10.,20.,30.,40.,50.,60.,70.,80.,90.,100.,110.,120.,130.,140.,150.,160.,170.,180.,190.,200.),
           phiBINNING  = cms.vdouble(-3.2,-3.,-2.8,-2.6,-2.4,-2.2,-2.0,-1.8,-1.6,-1.4,-1.2,-1.0,-0.8,-0.6,-0.4,-0.2,0.,0.2,0.4,0.6,0.8,1.0,1.2,1.4,1.6,1.8,2.0,2.2,2.4,2.6,2.8,3.0,3.2),
           massBINNING = cms.vdouble(),
           dxyBINNING = cms.vdouble(-2.0,-1.5,-1.0,-0.8,-0.6,-0.4,-0.2,-0.1,-0.05,-0.025,0.0,0.025,0.05,0.1,0.2,0.4,0.6,0.8,1.0,1.5,2.0),
           dzBINNING  = cms.vdouble(-2.0,-1.5,-1.0,-0.8,-0.6,-0.4,-0.2,-0.1,-0.05,-0.025,0.0,0.025,0.05,0.1,0.2,0.4,0.6,0.8,1.0,1.5,2.0),
           dimassBINNING = cms.vdouble(0.,2.0,4.0,6.0,8.0,10.,12.,14.,20.,40.,60.,70.,80.,84.,86.,88.,90.,92.,94.,96.,100.,120.,140.,160.,200.),
           displayInPrimary_eta      = cms.bool(True),
           displayInPrimary_phi      = cms.bool(True),
           displayInPrimary_pt       = cms.bool(True),
           displayInPrimary_mass     = cms.bool(False),
           displayInPrimary_energy   = cms.bool(False),
           displayInPrimary_csv      = cms.bool(False),
           displayInPrimary_etaVSphi = cms.bool(True),
           displayInPrimary_pt_HEP17 = cms.bool(True),
           displayInPrimary_pt_HEM17 = cms.bool(True),
           displayInPrimary_MR       = cms.bool(False),
           displayInPrimary_RSQ      = cms.bool(False),
           displayInPrimary_dxy      = cms.bool(False),
           displayInPrimary_dz       = cms.bool(False),
           displayInPrimary_dimass   = cms.bool(True),
           doPlot2D     = cms.untracked.bool(True),
           doPlotETA    = cms.untracked.bool(True),
           doPlotMASS   = cms.untracked.bool(False),
           doPlotENERGY = cms.untracked.bool(False),
           doPlotHEP17  = cms.untracked.bool(True),
           doPlotCSV    = cms.untracked.bool(False),
           doCALO       = cms.untracked.bool(False),
           doPF         = cms.untracked.bool(False),
           doPlotRazor  = cms.untracked.bool(False),
           doPlotDXY    = cms.untracked.bool(False), # missing electron collection
           doPlotDZ     = cms.untracked.bool(False),
           doPlotDiMass = cms.untracked.bool(True),
       ),
       cms.PSet(
           pathNAME = cms.string("HLT_DoublePhoton85"),
           moduleNAME = cms.string("hltDiEG85HEUnseededFilter"),
           label  = cms.string("unseeded photon85"),
           xTITLE = cms.string("unseeded photon"),
           etaBINNING  = cms.vdouble(-3.,-2.5,-2.0,-1.7,-1.566,-1.4442,-1.3,-1.0,-0.5,0,0.5,1.,1.3,1.4442,1.566,1.7,2.0,2.5,3.0),
           ptBINNING   = cms.vdouble(0.,10.,20.,30.,40.,50.,60.,70.,80.,90.,100.,110.,120.,130.,140.,150.,160.,170.,180.,190.,200.),
           phiBINNING  = cms.vdouble(-3.2,-3.,-2.8,-2.6,-2.4,-2.2,-2.0,-1.8,-1.6,-1.4,-1.2,-1.0,-0.8,-0.6,-0.4,-0.2,0.,0.2,0.4,0.6,0.8,1.0,1.2,1.4,1.6,1.8,2.0,2.2,2.4,2.6,2.8,3.0,3.2),
           massBINNING = cms.vdouble(),
           dxyBINNING = cms.vdouble(-2.0,-1.5,-1.0,-0.8,-0.6,-0.4,-0.2,-0.1,-0.05,-0.025,0.0,0.025,0.05,0.1,0.2,0.4,0.6,0.8,1.0,1.5,2.0),
           dzBINNING  = cms.vdouble(-2.0,-1.5,-1.0,-0.8,-0.6,-0.4,-0.2,-0.1,-0.05,-0.025,0.0,0.025,0.05,0.1,0.2,0.4,0.6,0.8,1.0,1.5,2.0),
           dimassBINNING = cms.vdouble(0.,2.0,4.0,6.0,8.0,10.,12.,14.,20.,40.,60.,70.,80.,84.,86.,88.,90.,92.,94.,96.,100.,120.,140.,160.,200.),
           displayInPrimary_eta      = cms.bool(True),
           displayInPrimary_phi      = cms.bool(True),
           displayInPrimary_pt       = cms.bool(True),
           displayInPrimary_mass     = cms.bool(False),
           displayInPrimary_energy   = cms.bool(False),
           displayInPrimary_csv      = cms.bool(False),
           displayInPrimary_etaVSphi = cms.bool(True),
           displayInPrimary_pt_HEP17 = cms.bool(True),
           displayInPrimary_pt_HEM17 = cms.bool(True),
           displayInPrimary_MR       = cms.bool(False),
           displayInPrimary_RSQ      = cms.bool(False),
           displayInPrimary_dxy      = cms.bool(False),
           displayInPrimary_dz       = cms.bool(False),
           displayInPrimary_dimass   = cms.bool(True),
           doPlot2D     = cms.untracked.bool(True),
           doPlotETA    = cms.untracked.bool(True),
           doPlotMASS   = cms.untracked.bool(False),
           doPlotENERGY = cms.untracked.bool(False),
           doPlotHEP17  = cms.untracked.bool(True),
           doPlotCSV    = cms.untracked.bool(False),
           doCALO       = cms.untracked.bool(False),
           doPF         = cms.untracked.bool(False),
           doPlotRazor  = cms.untracked.bool(False),
           doPlotDXY    = cms.untracked.bool(False), # missing electron collection
           doPlotDZ     = cms.untracked.bool(False),
           doPlotDiMass = cms.untracked.bool(True),
       ),
       cms.PSet(
           pathNAME = cms.string("HLT_DoublePhoton85"),
           moduleNAME = cms.string("hltEG85HEFilter"),
           label  = cms.string("L1 seeded photon85"),
           xTITLE = cms.string("L1 seeded photon"),
           etaBINNING  = cms.vdouble(-3.,-2.5,-2.0,-1.7,-1.566,-1.4442,-1.3,-1.0,-0.5,0,0.5,1.,1.3,1.4442,1.566,1.7,2.0,2.5,3.0),
           ptBINNING   = cms.vdouble(0.,10.,20.,30.,40.,50.,60.,70.,80.,90.,100.,110.,120.,130.,140.,150.,160.,170.,180.,190.,200.),
           phiBINNING  = cms.vdouble(-3.2,-3.,-2.8,-2.6,-2.4,-2.2,-2.0,-1.8,-1.6,-1.4,-1.2,-1.0,-0.8,-0.6,-0.4,-0.2,0.,0.2,0.4,0.6,0.8,1.0,1.2,1.4,1.6,1.8,2.0,2.2,2.4,2.6,2.8,3.0,3.2),
           massBINNING = cms.vdouble(),
           dxyBINNING = cms.vdouble(-2.0,-1.5,-1.0,-0.8,-0.6,-0.4,-0.2,-0.1,-0.05,-0.025,0.0,0.025,0.05,0.1,0.2,0.4,0.6,0.8,1.0,1.5,2.0),
           dzBINNING  = cms.vdouble(-2.0,-1.5,-1.0,-0.8,-0.6,-0.4,-0.2,-0.1,-0.05,-0.025,0.0,0.025,0.05,0.1,0.2,0.4,0.6,0.8,1.0,1.5,2.0),
           dimassBINNING = cms.vdouble(0.,2.0,4.0,6.0,8.0,10.,12.,14.,20.,40.,60.,70.,80.,84.,86.,88.,90.,92.,94.,96.,100.,120.,140.,160.,200.),
           displayInPrimary_eta      = cms.bool(True),
           displayInPrimary_phi      = cms.bool(True),
           displayInPrimary_pt       = cms.bool(True),
           displayInPrimary_mass     = cms.bool(False),
           displayInPrimary_energy   = cms.bool(False),
           displayInPrimary_csv      = cms.bool(False),
           displayInPrimary_etaVSphi = cms.bool(True),
           displayInPrimary_pt_HEP17 = cms.bool(True),
           displayInPrimary_pt_HEM17 = cms.bool(True),
           displayInPrimary_MR       = cms.bool(False),
           displayInPrimary_RSQ      = cms.bool(False),
           displayInPrimary_dxy      = cms.bool(False),
           displayInPrimary_dz       = cms.bool(False),
           displayInPrimary_dimass   = cms.bool(False),
           doPlot2D     = cms.untracked.bool(True),
           doPlotETA    = cms.untracked.bool(True),
           doPlotMASS   = cms.untracked.bool(False),
           doPlotENERGY = cms.untracked.bool(False),
           doPlotHEP17  = cms.untracked.bool(True),
           doPlotCSV    = cms.untracked.bool(False),
           doCALO       = cms.untracked.bool(False),
           doPF         = cms.untracked.bool(False),
           doPlotRazor  = cms.untracked.bool(False),
           doPlotDXY    = cms.untracked.bool(False), # missing electron collection
           doPlotDZ     = cms.untracked.bool(False),
           doPlotDiMass = cms.untracked.bool(False),
       ),
       cms.PSet(
           pathNAME = cms.string("HLT_DiSC30_18_EIso_AND_HE_Mass70"),
           moduleNAME = cms.string("hltEG30EIso15HE30EcalIsoLastFilter"),
           label  = cms.string("unseeded super cluster"),
           xTITLE = cms.string("unseeded super cluster"),
           etaBINNING  = cms.vdouble(-3.,-2.5,-2.0,-1.7,-1.566,-1.4442,-1.3,-1.0,-0.5,0,0.5,1.,1.3,1.4442,1.566,1.7,2.0,2.5,3.0),
           ptBINNING   = cms.vdouble(0.,10.,20.,30.,40.,50.,60.,70.,80.,90.,100.,110.,120.,130.,140.,150.,160.,170.,180.,190.,200.),
           phiBINNING  = cms.vdouble(-3.2,-3.,-2.8,-2.6,-2.4,-2.2,-2.0,-1.8,-1.6,-1.4,-1.2,-1.0,-0.8,-0.6,-0.4,-0.2,0.,0.2,0.4,0.6,0.8,1.0,1.2,1.4,1.6,1.8,2.0,2.2,2.4,2.6,2.8,3.0,3.2),
           massBINNING = cms.vdouble(),
           dxyBINNING = cms.vdouble(-2.0,-1.5,-1.0,-0.8,-0.6,-0.4,-0.2,-0.1,-0.05,-0.025,0.0,0.025,0.05,0.1,0.2,0.4,0.6,0.8,1.0,1.5,2.0),
           dzBINNING  = cms.vdouble(-2.0,-1.5,-1.0,-0.8,-0.6,-0.4,-0.2,-0.1,-0.05,-0.025,0.0,0.025,0.05,0.1,0.2,0.4,0.6,0.8,1.0,1.5,2.0),
           dimassBINNING = cms.vdouble(0.,2.0,4.0,6.0,8.0,10.,12.,14.,20.,40.,60.,70.,80.,84.,86.,88.,90.,92.,94.,96.,100.,120.,140.,160.,200.),
           displayInPrimary_eta      = cms.bool(True),
           displayInPrimary_phi      = cms.bool(True),
           displayInPrimary_pt       = cms.bool(True),
           displayInPrimary_mass     = cms.bool(False),
           displayInPrimary_energy   = cms.bool(False),
           displayInPrimary_csv      = cms.bool(False),
           displayInPrimary_etaVSphi = cms.bool(True),
           displayInPrimary_pt_HEP17 = cms.bool(True),
           displayInPrimary_pt_HEM17 = cms.bool(True),
           displayInPrimary_MR       = cms.bool(False),
           displayInPrimary_RSQ      = cms.bool(False),
           displayInPrimary_dxy      = cms.bool(False),
           displayInPrimary_dz       = cms.bool(False),
           displayInPrimary_dimass   = cms.bool(True),
           doPlot2D     = cms.untracked.bool(True),
           doPlotETA    = cms.untracked.bool(True),
           doPlotMASS   = cms.untracked.bool(False),
           doPlotENERGY = cms.untracked.bool(False),
           doPlotHEP17  = cms.untracked.bool(True),
           doPlotCSV    = cms.untracked.bool(False),
           doCALO       = cms.untracked.bool(False),
           doPF         = cms.untracked.bool(False),
           doPlotRazor  = cms.untracked.bool(False),
           doPlotDXY    = cms.untracked.bool(False), # missing electron collection
           doPlotDZ     = cms.untracked.bool(False),
           doPlotDiMass = cms.untracked.bool(True),
       ),
       cms.PSet(
           pathNAME = cms.string("HLT_DiSC30_18_EIso_AND_HE_Mass70"),
           moduleNAME = cms.string("hltEG18EIso15HE30EcalIsoUnseededFilter"),
           label  = cms.string("seeded super cluster"),
           xTITLE = cms.string("seeded super cluster"),
           etaBINNING  = cms.vdouble(-3.,-2.5,-2.0,-1.7,-1.566,-1.4442,-1.3,-1.0,-0.5,0,0.5,1.,1.3,1.4442,1.566,1.7,2.0,2.5,3.0),
           ptBINNING   = cms.vdouble(0.,10.,20.,30.,40.,50.,60.,70.,80.,90.,100.,110.,120.,130.,140.,150.,160.,170.,180.,190.,200.),
           phiBINNING  = cms.vdouble(-3.2,-3.,-2.8,-2.6,-2.4,-2.2,-2.0,-1.8,-1.6,-1.4,-1.2,-1.0,-0.8,-0.6,-0.4,-0.2,0.,0.2,0.4,0.6,0.8,1.0,1.2,1.4,1.6,1.8,2.0,2.2,2.4,2.6,2.8,3.0,3.2),
           massBINNING = cms.vdouble(),
           dxyBINNING = cms.vdouble(-2.0,-1.5,-1.0,-0.8,-0.6,-0.4,-0.2,-0.1,-0.05,-0.025,0.0,0.025,0.05,0.1,0.2,0.4,0.6,0.8,1.0,1.5,2.0),
           dzBINNING  = cms.vdouble(-2.0,-1.5,-1.0,-0.8,-0.6,-0.4,-0.2,-0.1,-0.05,-0.025,0.0,0.025,0.05,0.1,0.2,0.4,0.6,0.8,1.0,1.5,2.0),
           dimassBINNING = cms.vdouble(0.,2.0,4.0,6.0,8.0,10.,12.,14.,20.,40.,60.,70.,80.,84.,86.,88.,90.,92.,94.,96.,100.,120.,140.,160.,200.),
           displayInPrimary_eta      = cms.bool(True),
           displayInPrimary_phi      = cms.bool(True),
           displayInPrimary_pt       = cms.bool(True),
           displayInPrimary_mass     = cms.bool(False),
           displayInPrimary_energy   = cms.bool(False),
           displayInPrimary_csv      = cms.bool(False),
           displayInPrimary_etaVSphi = cms.bool(True),
           displayInPrimary_pt_HEP17 = cms.bool(True),
           displayInPrimary_pt_HEM17 = cms.bool(True),
           displayInPrimary_MR       = cms.bool(False),
           displayInPrimary_RSQ      = cms.bool(False),
           displayInPrimary_dxy      = cms.bool(False),
           displayInPrimary_dz       = cms.bool(False),
           displayInPrimary_dimass   = cms.bool(True),
           doPlot2D     = cms.untracked.bool(True),
           doPlotETA    = cms.untracked.bool(True),
           doPlotMASS   = cms.untracked.bool(False),
           doPlotENERGY = cms.untracked.bool(False),
           doPlotHEP17  = cms.untracked.bool(True),
           doPlotCSV    = cms.untracked.bool(False),
           doCALO       = cms.untracked.bool(False),
           doPF         = cms.untracked.bool(False),
           doPlotRazor  = cms.untracked.bool(False),
           doPlotDXY    = cms.untracked.bool(False), # missing electron collection
           doPlotDZ     = cms.untracked.bool(False),
           doPlotDiMass = cms.untracked.bool(True),
       ),
       cms.PSet(
           pathNAME = cms.string("HLT_Ele23_Ele12_CaloIdL_TrackIdL_IsoVL_DZ"),
           moduleNAME = cms.string("hltEle23Ele12CaloIdLTrackIdLIsoVLDZFilter"),
           label  = cms.string("double electron dz"),
           xTITLE = cms.string("electron"),
           etaBINNING  = cms.vdouble(-3.,-2.5,-2.0,-1.7,-1.566,-1.4442,-1.3,-1.0,-0.5,0,0.5,1.,1.3,1.4442,1.566,1.7,2.0,2.5,3.0),
           ptBINNING   = cms.vdouble(0.,10.,20.,30.,40.,50.,60.,70.,80.,90.,100.,110.,120.,130.,140.,150.,160.,170.,180.,190.,200.),
           phiBINNING  = cms.vdouble(-3.2,-3.,-2.8,-2.6,-2.4,-2.2,-2.0,-1.8,-1.6,-1.4,-1.2,-1.0,-0.8,-0.6,-0.4,-0.2,0.,0.2,0.4,0.6,0.8,1.0,1.2,1.4,1.6,1.8,2.0,2.2,2.4,2.6,2.8,3.0,3.2),
           massBINNING = cms.vdouble(),
           dxyBINNING = cms.vdouble(-2.0,-1.5,-1.0,-0.8,-0.6,-0.4,-0.2,-0.1,-0.05,-0.025,0.0,0.025,0.05,0.1,0.2,0.4,0.6,0.8,1.0,1.5,2.0),
           dzBINNING  = cms.vdouble(-2.0,-1.5,-1.0,-0.8,-0.6,-0.4,-0.2,-0.1,-0.05,-0.025,0.0,0.025,0.05,0.1,0.2,0.4,0.6,0.8,1.0,1.5,2.0),
           dimassBINNING = cms.vdouble(0.,2.0,4.0,6.0,8.0,10.,12.,14.,20.,40.,60.,70.,80.,84.,86.,88.,90.,92.,94.,96.,100.,120.,140.,160.,200.),
           displayInPrimary_eta      = cms.bool(True),
           displayInPrimary_phi      = cms.bool(True),
           displayInPrimary_pt       = cms.bool(True),
           displayInPrimary_mass     = cms.bool(False),
           displayInPrimary_energy   = cms.bool(False),
           displayInPrimary_csv      = cms.bool(False),
           displayInPrimary_etaVSphi = cms.bool(True),
           displayInPrimary_pt_HEP17 = cms.bool(True),
           displayInPrimary_pt_HEM17 = cms.bool(True),
           displayInPrimary_MR       = cms.bool(False),
           displayInPrimary_RSQ      = cms.bool(False),
           displayInPrimary_dxy      = cms.bool(True),
           displayInPrimary_dz       = cms.bool(True),
           displayInPrimary_dimass   = cms.bool(True),
           doPlot2D     = cms.untracked.bool(True),
           doPlotETA    = cms.untracked.bool(True),
           doPlotMASS   = cms.untracked.bool(False),
           doPlotENERGY = cms.untracked.bool(False),
           doPlotHEP17  = cms.untracked.bool(True),
           doPlotCSV    = cms.untracked.bool(False),
           doCALO       = cms.untracked.bool(False),
           doPF         = cms.untracked.bool(False),
           doPlotRazor  = cms.untracked.bool(False),
           doPlotDXY    = cms.untracked.bool(False), # missing electron collection
           doPlotDZ     = cms.untracked.bool(True),
           doPlotDiMass = cms.untracked.bool(True),
       ),
       cms.PSet(
           pathNAME = cms.string("HLT_Ele23_Ele12_CaloIdL_TrackIdL_IsoVL"),
           moduleNAME = cms.string("hltEle23Ele12CaloIdLTrackIdLIsoVLTrackIsoLeg2Filter"),
           label  = cms.string("iso electron2"),
           xTITLE = cms.string("iso electron_{2}"),
           etaBINNING  = cms.vdouble(-3.,-2.5,-2.0,-1.7,-1.566,-1.4442,-1.3,-1.0,-0.5,0,0.5,1.,1.3,1.4442,1.566,1.7,2.0,2.5,3.0),
           ptBINNING   = cms.vdouble(0.,10.,20.,30.,40.,50.,60.,70.,80.,90.,100.,110.,120.,130.,140.,150.,160.,170.,180.,190.,200.),
           phiBINNING  = cms.vdouble(-3.2,-3.,-2.8,-2.6,-2.4,-2.2,-2.0,-1.8,-1.6,-1.4,-1.2,-1.0,-0.8,-0.6,-0.4,-0.2,0.,0.2,0.4,0.6,0.8,1.0,1.2,1.4,1.6,1.8,2.0,2.2,2.4,2.6,2.8,3.0,3.2),
           massBINNING = cms.vdouble(),
           dxyBINNING = cms.vdouble(-2.0,-1.5,-1.0,-0.8,-0.6,-0.4,-0.2,-0.1,-0.05,-0.025,0.0,0.025,0.05,0.1,0.2,0.4,0.6,0.8,1.0,1.5,2.0),
           dzBINNING  = cms.vdouble(-2.0,-1.5,-1.0,-0.8,-0.6,-0.4,-0.2,-0.1,-0.05,-0.025,0.0,0.025,0.05,0.1,0.2,0.4,0.6,0.8,1.0,1.5,2.0),
           dimassBINNING = cms.vdouble(0.,2.0,4.0,6.0,8.0,10.,12.,14.,20.,40.,60.,70.,80.,84.,86.,88.,90.,92.,94.,96.,100.,120.,140.,160.,200.),
           displayInPrimary_eta      = cms.bool(True),
           displayInPrimary_phi      = cms.bool(True),
           displayInPrimary_pt       = cms.bool(True),
           displayInPrimary_mass     = cms.bool(False),
           displayInPrimary_energy   = cms.bool(False),
           displayInPrimary_csv      = cms.bool(False),
           displayInPrimary_etaVSphi = cms.bool(True),
           displayInPrimary_pt_HEP17 = cms.bool(True),
           displayInPrimary_pt_HEM17 = cms.bool(True),
           displayInPrimary_MR       = cms.bool(False),
           displayInPrimary_RSQ      = cms.bool(False),
           displayInPrimary_dxy      = cms.bool(False),
           displayInPrimary_dz       = cms.bool(True),
           displayInPrimary_dimass   = cms.bool(True),
           doPlot2D     = cms.untracked.bool(True),
           doPlotETA    = cms.untracked.bool(True),
           doPlotMASS   = cms.untracked.bool(False),
           doPlotENERGY = cms.untracked.bool(False),
           doPlotHEP17  = cms.untracked.bool(True),
           doPlotCSV    = cms.untracked.bool(False),
           doCALO       = cms.untracked.bool(False),
           doPF         = cms.untracked.bool(False),
           doPlotRazor  = cms.untracked.bool(False),
           doPlotDXY    = cms.untracked.bool(False), # missing electron collection
           doPlotDZ     = cms.untracked.bool(True),
           doPlotDiMass = cms.untracked.bool(True),
       ),
       cms.PSet(
           pathNAME = cms.string("HLT_Ele23_Ele12_CaloIdL_TrackIdL_IsoVL"),
           moduleNAME = cms.string("hltEle23Ele12CaloIdLTrackIdLIsoVLTrackIsoLeg1Filter"),
           label  = cms.string("iso electron1"),
           xTITLE = cms.string("iso electron_{1}"),
           etaBINNING  = cms.vdouble(-3.,-2.5,-2.0,-1.7,-1.566,-1.4442,-1.3,-1.0,-0.5,0,0.5,1.,1.3,1.4442,1.566,1.7,2.0,2.5,3.0),
           ptBINNING   = cms.vdouble(0.,10.,20.,30.,40.,50.,60.,70.,80.,90.,100.,110.,120.,130.,140.,150.,160.,170.,180.,190.,200.),
           phiBINNING  = cms.vdouble(-3.2,-3.,-2.8,-2.6,-2.4,-2.2,-2.0,-1.8,-1.6,-1.4,-1.2,-1.0,-0.8,-0.6,-0.4,-0.2,0.,0.2,0.4,0.6,0.8,1.0,1.2,1.4,1.6,1.8,2.0,2.2,2.4,2.6,2.8,3.0,3.2),
           massBINNING = cms.vdouble(),
           dxyBINNING = cms.vdouble(-2.0,-1.5,-1.0,-0.8,-0.6,-0.4,-0.2,-0.1,-0.05,-0.025,0.0,0.025,0.05,0.1,0.2,0.4,0.6,0.8,1.0,1.5,2.0),
           dzBINNING  = cms.vdouble(-2.0,-1.5,-1.0,-0.8,-0.6,-0.4,-0.2,-0.1,-0.05,-0.025,0.0,0.025,0.05,0.1,0.2,0.4,0.6,0.8,1.0,1.5,2.0),
           dimassBINNING = cms.vdouble(0.,2.0,4.0,6.0,8.0,10.,12.,14.,20.,40.,60.,70.,80.,84.,86.,88.,90.,92.,94.,96.,100.,120.,140.,160.,200.),
           displayInPrimary_eta      = cms.bool(True),
           displayInPrimary_phi      = cms.bool(True),
           displayInPrimary_pt       = cms.bool(True),
           displayInPrimary_mass     = cms.bool(False),
           displayInPrimary_energy   = cms.bool(False),
           displayInPrimary_csv      = cms.bool(False),
           displayInPrimary_etaVSphi = cms.bool(True),
           displayInPrimary_pt_HEP17 = cms.bool(True),
           displayInPrimary_pt_HEM17 = cms.bool(True),
           displayInPrimary_MR       = cms.bool(False),
           displayInPrimary_RSQ      = cms.bool(False),
           displayInPrimary_dxy      = cms.bool(True),
           displayInPrimary_dz       = cms.bool(False),
           displayInPrimary_dimass   = cms.bool(False),
           doPlot2D     = cms.untracked.bool(True),
           doPlotETA    = cms.untracked.bool(True),
           doPlotMASS   = cms.untracked.bool(False),
           doPlotENERGY = cms.untracked.bool(False),
           doPlotHEP17  = cms.untracked.bool(True),
           doPlotCSV    = cms.untracked.bool(False),
           doCALO       = cms.untracked.bool(False),
           doPF         = cms.untracked.bool(False),
           doPlotRazor  = cms.untracked.bool(False),
           doPlotDXY    = cms.untracked.bool(False), # missing electron collection
           doPlotDZ     = cms.untracked.bool(False),
           doPlotDiMass = cms.untracked.bool(False),
       ),
       cms.PSet(
           pathNAME = cms.string("HLT_Ele27_WPTight_Gsf"),
           moduleNAME = cms.string("hltEle27WPTightGsfTrackIsoFilter"),
           label  = cms.string("iso GSF electron27"),
           xTITLE = cms.string("iso GSF electron"),
           etaBINNING  = cms.vdouble(-3.,-2.5,-2.0,-1.7,-1.566,-1.4442,-1.3,-1.0,-0.5,0,0.5,1.,1.3,1.4442,1.566,1.7,2.0,2.5,3.0),
           ptBINNING   = cms.vdouble(0.,10.,20.,30.,40.,50.,60.,70.,80.,90.,100.,110.,120.,130.,140.,150.,160.,170.,180.,190.,200.),
           phiBINNING  = cms.vdouble(-3.2,-3.,-2.8,-2.6,-2.4,-2.2,-2.0,-1.8,-1.6,-1.4,-1.2,-1.0,-0.8,-0.6,-0.4,-0.2,0.,0.2,0.4,0.6,0.8,1.0,1.2,1.4,1.6,1.8,2.0,2.2,2.4,2.6,2.8,3.0,3.2),
           massBINNING = cms.vdouble(),
           dxyBINNING = cms.vdouble(-2.0,-1.5,-1.0,-0.8,-0.6,-0.4,-0.2,-0.1,-0.05,-0.025,0.0,0.025,0.05,0.1,0.2,0.4,0.6,0.8,1.0,1.5,2.0),
           dzBINNING  = cms.vdouble(-2.0,-1.5,-1.0,-0.8,-0.6,-0.4,-0.2,-0.1,-0.05,-0.025,0.0,0.025,0.05,0.1,0.2,0.4,0.6,0.8,1.0,1.5,2.0),
           dimassBINNING = cms.vdouble(0.,2.0,4.0,6.0,8.0,10.,12.,14.,20.,40.,60.,70.,80.,84.,86.,88.,90.,92.,94.,96.,100.,120.,140.,160.,200.),
           displayInPrimary_eta      = cms.bool(True),
           displayInPrimary_phi      = cms.bool(True),
           displayInPrimary_pt       = cms.bool(True),
           displayInPrimary_mass     = cms.bool(False),
           displayInPrimary_energy   = cms.bool(False),
           displayInPrimary_csv      = cms.bool(False),
           displayInPrimary_etaVSphi = cms.bool(True),
           displayInPrimary_pt_HEP17 = cms.bool(True),
           displayInPrimary_pt_HEM17 = cms.bool(True),
           displayInPrimary_MR       = cms.bool(False),
           displayInPrimary_RSQ      = cms.bool(False),
           displayInPrimary_dxy      = cms.bool(True),
           displayInPrimary_dz       = cms.bool(False),
           displayInPrimary_dimass   = cms.bool(False),
           doPlot2D     = cms.untracked.bool(True),
           doPlotETA    = cms.untracked.bool(True),
           doPlotMASS   = cms.untracked.bool(False),
           doPlotENERGY = cms.untracked.bool(False),
           doPlotHEP17  = cms.untracked.bool(True),
           doPlotCSV    = cms.untracked.bool(False),
           doCALO       = cms.untracked.bool(False),
           doPF         = cms.untracked.bool(False),
           doPlotRazor  = cms.untracked.bool(False),
           doPlotDXY    = cms.untracked.bool(False), # missing electron collection
           doPlotDZ     = cms.untracked.bool(False),
           doPlotDiMass = cms.untracked.bool(False),
       ),
       cms.PSet(
           pathNAME = cms.string("HLT_Ele32_WPTight_Gsf"),
           moduleNAME = cms.string("hltEle32noerWPTightGsfTrackIsoFilter"),
           label  = cms.string("iso GSF electron32"),
           xTITLE = cms.string("iso GSF electron"),
           etaBINNING  = cms.vdouble(-3.,-2.5,-2.0,-1.7,-1.566,-1.4442,-1.3,-1.0,-0.5,0,0.5,1.,1.3,1.4442,1.566,1.7,2.0,2.5,3.0),
           ptBINNING   = cms.vdouble(0.,10.,20.,30.,40.,50.,60.,70.,80.,90.,100.,110.,120.,130.,140.,150.,160.,170.,180.,190.,200.),
           phiBINNING  = cms.vdouble(-3.2,-3.,-2.8,-2.6,-2.4,-2.2,-2.0,-1.8,-1.6,-1.4,-1.2,-1.0,-0.8,-0.6,-0.4,-0.2,0.,0.2,0.4,0.6,0.8,1.0,1.2,1.4,1.6,1.8,2.0,2.2,2.4,2.6,2.8,3.0,3.2),
           massBINNING = cms.vdouble(),
           dxyBINNING = cms.vdouble(-2.0,-1.5,-1.0,-0.8,-0.6,-0.4,-0.2,-0.1,-0.05,-0.025,0.0,0.025,0.05,0.1,0.2,0.4,0.6,0.8,1.0,1.5,2.0),
           dzBINNING  = cms.vdouble(-2.0,-1.5,-1.0,-0.8,-0.6,-0.4,-0.2,-0.1,-0.05,-0.025,0.0,0.025,0.05,0.1,0.2,0.4,0.6,0.8,1.0,1.5,2.0),
           dimassBINNING = cms.vdouble(0.,2.0,4.0,6.0,8.0,10.,12.,14.,20.,40.,60.,70.,80.,84.,86.,88.,90.,92.,94.,96.,100.,120.,140.,160.,200.),
           displayInPrimary_eta      = cms.bool(True),
           displayInPrimary_phi      = cms.bool(True),
           displayInPrimary_pt       = cms.bool(True),
           displayInPrimary_mass     = cms.bool(False),
           displayInPrimary_energy   = cms.bool(False),
           displayInPrimary_csv      = cms.bool(False),
           displayInPrimary_etaVSphi = cms.bool(True),
           displayInPrimary_pt_HEP17 = cms.bool(True),
           displayInPrimary_pt_HEM17 = cms.bool(True),
           displayInPrimary_MR       = cms.bool(False),
           displayInPrimary_RSQ      = cms.bool(False),
           displayInPrimary_dxy      = cms.bool(True),
           displayInPrimary_dz       = cms.bool(False),
           displayInPrimary_dimass   = cms.bool(False),
           doPlot2D     = cms.untracked.bool(True),
           doPlotETA    = cms.untracked.bool(True),
           doPlotMASS   = cms.untracked.bool(False),
           doPlotENERGY = cms.untracked.bool(False),
           doPlotHEP17  = cms.untracked.bool(True),
           doPlotCSV    = cms.untracked.bool(False),
           doCALO       = cms.untracked.bool(False),
           doPF         = cms.untracked.bool(False),
           doPlotRazor  = cms.untracked.bool(False),
           doPlotDXY    = cms.untracked.bool(False), # missing electron collection
           doPlotDZ     = cms.untracked.bool(False),
           doPlotDiMass = cms.untracked.bool(False),
       ),
       cms.PSet(
           pathNAME = cms.string("HLT_Ele38_WPTight_Gsf"),
           moduleNAME = cms.string("hltEle38noerWPTightGsfTrackIsoFilter"),
           label  = cms.string("iso GSF electron38"),
           xTITLE = cms.string("iso GSF electron"),
           etaBINNING  = cms.vdouble(-3.,-2.5,-2.0,-1.7,-1.566,-1.4442,-1.3,-1.0,-0.5,0,0.5,1.,1.3,1.4442,1.566,1.7,2.0,2.5,3.0),
           ptBINNING   = cms.vdouble(0.,10.,20.,30.,40.,50.,60.,70.,80.,90.,100.,110.,120.,130.,140.,150.,160.,170.,180.,190.,200.),
           phiBINNING  = cms.vdouble(-3.2,-3.,-2.8,-2.6,-2.4,-2.2,-2.0,-1.8,-1.6,-1.4,-1.2,-1.0,-0.8,-0.6,-0.4,-0.2,0.,0.2,0.4,0.6,0.8,1.0,1.2,1.4,1.6,1.8,2.0,2.2,2.4,2.6,2.8,3.0,3.2),
           massBINNING = cms.vdouble(),
           dxyBINNING = cms.vdouble(-2.0,-1.5,-1.0,-0.8,-0.6,-0.4,-0.2,-0.1,-0.05,-0.025,0.0,0.025,0.05,0.1,0.2,0.4,0.6,0.8,1.0,1.5,2.0),
           dzBINNING  = cms.vdouble(-2.0,-1.5,-1.0,-0.8,-0.6,-0.4,-0.2,-0.1,-0.05,-0.025,0.0,0.025,0.05,0.1,0.2,0.4,0.6,0.8,1.0,1.5,2.0),
           dimassBINNING = cms.vdouble(0.,2.0,4.0,6.0,8.0,10.,12.,14.,20.,40.,60.,70.,80.,84.,86.,88.,90.,92.,94.,96.,100.,120.,140.,160.,200.),
           displayInPrimary_eta      = cms.bool(True),
           displayInPrimary_phi      = cms.bool(True),
           displayInPrimary_pt       = cms.bool(True),
           displayInPrimary_mass     = cms.bool(False),
           displayInPrimary_energy   = cms.bool(False),
           displayInPrimary_csv      = cms.bool(False),
           displayInPrimary_etaVSphi = cms.bool(True),
           displayInPrimary_pt_HEP17 = cms.bool(True),
           displayInPrimary_pt_HEM17 = cms.bool(True),
           displayInPrimary_MR       = cms.bool(False),
           displayInPrimary_RSQ      = cms.bool(False),
           displayInPrimary_dxy      = cms.bool(True),
           displayInPrimary_dz       = cms.bool(False),
           displayInPrimary_dimass   = cms.bool(False),
           doPlot2D     = cms.untracked.bool(True),
           doPlotETA    = cms.untracked.bool(True),
           doPlotMASS   = cms.untracked.bool(False),
           doPlotENERGY = cms.untracked.bool(False),
           doPlotHEP17  = cms.untracked.bool(True),
           doPlotCSV    = cms.untracked.bool(False),
           doCALO       = cms.untracked.bool(False),
           doPF         = cms.untracked.bool(False),
           doPlotRazor  = cms.untracked.bool(False),
           doPlotDXY    = cms.untracked.bool(False), # missing electron collection
           doPlotDZ     = cms.untracked.bool(False),
           doPlotDiMass = cms.untracked.bool(False),
       ),
       cms.PSet(
           pathNAME = cms.string("HLT_Ele40_WPTight_Gsf"),
           moduleNAME = cms.string("hltEle40noerWPTightGsfTrackIsoFilter"),
           label  = cms.string("iso GSF electron40"),
           xTITLE = cms.string("iso GSF electron"),
           etaBINNING  = cms.vdouble(-3.,-2.5,-2.0,-1.7,-1.566,-1.4442,-1.3,-1.0,-0.5,0,0.5,1.,1.3,1.4442,1.566,1.7,2.0,2.5,3.0),
           ptBINNING   = cms.vdouble(0.,10.,20.,30.,40.,50.,60.,70.,80.,90.,100.,110.,120.,130.,140.,150.,160.,170.,180.,190.,200.),
           phiBINNING  = cms.vdouble(-3.2,-3.,-2.8,-2.6,-2.4,-2.2,-2.0,-1.8,-1.6,-1.4,-1.2,-1.0,-0.8,-0.6,-0.4,-0.2,0.,0.2,0.4,0.6,0.8,1.0,1.2,1.4,1.6,1.8,2.0,2.2,2.4,2.6,2.8,3.0,3.2),
           massBINNING = cms.vdouble(),
           dxyBINNING = cms.vdouble(-2.0,-1.5,-1.0,-0.8,-0.6,-0.4,-0.2,-0.1,-0.05,-0.025,0.0,0.025,0.05,0.1,0.2,0.4,0.6,0.8,1.0,1.5,2.0),
           dzBINNING  = cms.vdouble(-2.0,-1.5,-1.0,-0.8,-0.6,-0.4,-0.2,-0.1,-0.05,-0.025,0.0,0.025,0.05,0.1,0.2,0.4,0.6,0.8,1.0,1.5,2.0),
           dimassBINNING = cms.vdouble(0.,2.0,4.0,6.0,8.0,10.,12.,14.,20.,40.,60.,70.,80.,84.,86.,88.,90.,92.,94.,96.,100.,120.,140.,160.,200.),
           displayInPrimary_eta      = cms.bool(True),
           displayInPrimary_phi      = cms.bool(True),
           displayInPrimary_pt       = cms.bool(True),
           displayInPrimary_mass     = cms.bool(False),
           displayInPrimary_energy   = cms.bool(False),
           displayInPrimary_csv      = cms.bool(False),
           displayInPrimary_etaVSphi = cms.bool(True),
           displayInPrimary_pt_HEP17 = cms.bool(True),
           displayInPrimary_pt_HEM17 = cms.bool(True),
           displayInPrimary_MR       = cms.bool(False),
           displayInPrimary_RSQ      = cms.bool(False),
           displayInPrimary_dxy      = cms.bool(True),
           displayInPrimary_dz       = cms.bool(False),
           displayInPrimary_dimass   = cms.bool(False),
           doPlot2D     = cms.untracked.bool(True),
           doPlotETA    = cms.untracked.bool(True),
           doPlotMASS   = cms.untracked.bool(False),
           doPlotENERGY = cms.untracked.bool(False),
           doPlotHEP17  = cms.untracked.bool(True),
           doPlotCSV    = cms.untracked.bool(False),
           doCALO       = cms.untracked.bool(False),
           doPF         = cms.untracked.bool(False),
           doPlotRazor  = cms.untracked.bool(False),
           doPlotDXY    = cms.untracked.bool(False), # missing electron collection
           doPlotDZ     = cms.untracked.bool(False),
           doPlotDiMass = cms.untracked.bool(False),
       ),
       cms.PSet(
           pathNAME = cms.string("HLT_Photon200"),
           moduleNAME = cms.string("hltEG200HEFilter"),
           label  = cms.string("photon200HE"),
           xTITLE = cms.string("photon"),
           etaBINNING  = cms.vdouble(-3.,-2.5,-2.0,-1.7,-1.566,-1.4442,-1.3,-1.0,-0.5,0,0.5,1.,1.3,1.4442,1.566,1.7,2.0,2.5,3.0),
           ptBINNING   = cms.vdouble(0.,50.,100.,150.,160.,170.,180.,190.,200.,210.,220.,230.,240.,250.,300.,350.,400.,1000.),
           phiBINNING  = cms.vdouble(-3.2,-3.,-2.8,-2.6,-2.4,-2.2,-2.0,-1.8,-1.6,-1.4,-1.2,-1.0,-0.8,-0.6,-0.4,-0.2,0.,0.2,0.4,0.6,0.8,1.0,1.2,1.4,1.6,1.8,2.0,2.2,2.4,2.6,2.8,3.0,3.2),
           massBINNING = cms.vdouble(),
           dxyBINNING = cms.vdouble(-2.0,-1.5,-1.0,-0.8,-0.6,-0.4,-0.2,-0.1,-0.05,-0.025,0.0,0.025,0.05,0.1,0.2,0.4,0.6,0.8,1.0,1.5,2.0),
           dzBINNING  = cms.vdouble(-2.0,-1.5,-1.0,-0.8,-0.6,-0.4,-0.2,-0.1,-0.05,-0.025,0.0,0.025,0.05,0.1,0.2,0.4,0.6,0.8,1.0,1.5,2.0),
           dimassBINNING = cms.vdouble(0.,2.0,4.0,6.0,8.0,10.,12.,14.,20.,40.,60.,70.,80.,84.,86.,88.,90.,92.,94.,96.,100.,120.,140.,160.,200.),
           displayInPrimary_eta      = cms.bool(True),
           displayInPrimary_phi      = cms.bool(True),
           displayInPrimary_pt       = cms.bool(True),
           displayInPrimary_mass     = cms.bool(False),
           displayInPrimary_energy   = cms.bool(False),
           displayInPrimary_csv      = cms.bool(False),
           displayInPrimary_etaVSphi = cms.bool(True),
           displayInPrimary_pt_HEP17 = cms.bool(True),
           displayInPrimary_pt_HEM17 = cms.bool(True),
           displayInPrimary_MR       = cms.bool(False),
           displayInPrimary_RSQ      = cms.bool(False),
           displayInPrimary_dxy      = cms.bool(True),
           displayInPrimary_dz       = cms.bool(False),
           displayInPrimary_dimass   = cms.bool(False),
           doPlot2D     = cms.untracked.bool(True),
           doPlotETA    = cms.untracked.bool(True),
           doPlotMASS   = cms.untracked.bool(False),
           doPlotENERGY = cms.untracked.bool(False),
           doPlotHEP17  = cms.untracked.bool(True),
           doPlotCSV    = cms.untracked.bool(False),
           doCALO       = cms.untracked.bool(False),
           doPF         = cms.untracked.bool(False),
           doPlotRazor  = cms.untracked.bool(False),
           doPlotDXY    = cms.untracked.bool(False), # missing electron collection
           doPlotDZ     = cms.untracked.bool(False),
           doPlotDiMass = cms.untracked.bool(False),
       ),
       cms.PSet(
           pathNAME = cms.string("HLT_ECALHT800"),
           moduleNAME = cms.string("hltHtEcal800"),
           label  = cms.string("ECAL HT"),
           xTITLE = cms.string("HT"),
           etaBINNING  = cms.vdouble(-3.,-2.5,-2.0,-1.5,-1.0,-0.5,0.,0.5,1.0,1.5,2.0,2.5,3.),
           ptBINNING   = cms.vdouble(0.,100.,200.,300.,400.,500.,600.,650.,700.,750.,800.,850.,900.,950.,1000.,1100.,1200.,1300.,),
           phiBINNING  = cms.vdouble(-3.2,-3.,-2.8,-2.6,-2.4,-2.2,-2.0,-1.8,-1.6,-1.4,-1.2,-1.0,-0.8,-0.6,-0.4,-0.2,0.,0.2,0.4,0.6,0.8,1.0,1.2,1.4,1.6,1.8,2.0,2.2,2.4,2.6,2.8,3.0,3.2),
           massBINNING = cms.vdouble(),
           dxyBINNING = cms.vdouble(-2.0,-1.5,-1.0,-0.8,-0.6,-0.4,-0.2,-0.1,-0.05,-0.025,0.0,0.025,0.05,0.1,0.2,0.4,0.6,0.8,1.0,1.5,2.0),
           dzBINNING  = cms.vdouble(-2.0,-1.5,-1.0,-0.8,-0.6,-0.4,-0.2,-0.1,-0.05,-0.025,0.0,0.025,0.05,0.1,0.2,0.4,0.6,0.8,1.0,1.5,2.0),
           dimassBINNING = cms.vdouble(0.,2.0,4.0,6.0,8.0,10.,12.,14.,20.,40.,60.,70.,80.,84.,86.,88.,90.,92.,94.,96.,100.,120.,140.,160.,200.),
           displayInPrimary_eta      = cms.bool(True),
           displayInPrimary_phi      = cms.bool(True),
           displayInPrimary_pt       = cms.bool(True),
           displayInPrimary_mass     = cms.bool(False),
           displayInPrimary_energy   = cms.bool(False),
           displayInPrimary_csv      = cms.bool(False),
           displayInPrimary_etaVSphi = cms.bool(True),
           displayInPrimary_pt_HEP17 = cms.bool(True),
           displayInPrimary_pt_HEM17 = cms.bool(True),
           displayInPrimary_MR       = cms.bool(False),
           displayInPrimary_RSQ      = cms.bool(False),
           displayInPrimary_dxy      = cms.bool(True),
           displayInPrimary_dz       = cms.bool(False),
           displayInPrimary_dimass   = cms.bool(False),
           doPlot2D     = cms.untracked.bool(True),
           doPlotETA    = cms.untracked.bool(True),
           doPlotMASS   = cms.untracked.bool(False),
           doPlotENERGY = cms.untracked.bool(False),
           doPlotHEP17  = cms.untracked.bool(True),
           doPlotCSV    = cms.untracked.bool(False),
           doCALO       = cms.untracked.bool(False),
           doPF         = cms.untracked.bool(False),
           doPlotRazor  = cms.untracked.bool(False),
           doPlotDXY    = cms.untracked.bool(False), # missing electron collection
           doPlotDZ     = cms.untracked.bool(False),
           doPlotDiMass = cms.untracked.bool(False),
       ),
       cms.PSet(
           pathNAME = cms.string("HLT_Ele32_WPTight_Gsf_L1DoubleEG"),
           moduleNAME = cms.string("hltEle32L1DoubleEGWPTightGsfTrackIsoFilter"),
           label  = cms.string("iso GSF electron32 L1 doubleEG"),
           xTITLE = cms.string("iso GSF electron"),
           etaBINNING  = cms.vdouble(-3.,-2.5,-2.0,-1.7,-1.566,-1.4442,-1.3,-1.0,-0.5,0,0.5,1.,1.3,1.4442,1.566,1.7,2.0,2.5,3.0),
           ptBINNING   = cms.vdouble(0.,10.,20.,30.,40.,50.,60.,70.,80.,90.,100.,110.,120.,130.,140.,150.,160.,170.,180.,190.,200.),
           phiBINNING  = cms.vdouble(-3.2,-3.,-2.8,-2.6,-2.4,-2.2,-2.0,-1.8,-1.6,-1.4,-1.2,-1.0,-0.8,-0.6,-0.4,-0.2,0.,0.2,0.4,0.6,0.8,1.0,1.2,1.4,1.6,1.8,2.0,2.2,2.4,2.6,2.8,3.0,3.2),
           massBINNING = cms.vdouble(),
           dxyBINNING = cms.vdouble(-2.0,-1.5,-1.0,-0.8,-0.6,-0.4,-0.2,-0.1,-0.05,-0.025,0.0,0.025,0.05,0.1,0.2,0.4,0.6,0.8,1.0,1.5,2.0),
           dzBINNING  = cms.vdouble(-2.0,-1.5,-1.0,-0.8,-0.6,-0.4,-0.2,-0.1,-0.05,-0.025,0.0,0.025,0.05,0.1,0.2,0.4,0.6,0.8,1.0,1.5,2.0),
           dimassBINNING = cms.vdouble(0.,2.0,4.0,6.0,8.0,10.,12.,14.,20.,40.,60.,70.,80.,84.,86.,88.,90.,92.,94.,96.,100.,120.,140.,160.,200.),
           displayInPrimary_eta      = cms.bool(True),
           displayInPrimary_phi      = cms.bool(True),
           displayInPrimary_pt       = cms.bool(True),
           displayInPrimary_mass     = cms.bool(False),
           displayInPrimary_energy   = cms.bool(False),
           displayInPrimary_csv      = cms.bool(False),
           displayInPrimary_etaVSphi = cms.bool(True),
           displayInPrimary_pt_HEP17 = cms.bool(True),
           displayInPrimary_pt_HEM17 = cms.bool(True),
           displayInPrimary_MR       = cms.bool(False),
           displayInPrimary_RSQ      = cms.bool(False),
           displayInPrimary_dxy      = cms.bool(True),
           displayInPrimary_dz       = cms.bool(False),
           displayInPrimary_dimass   = cms.bool(False),
           doPlot2D     = cms.untracked.bool(True),
           doPlotETA    = cms.untracked.bool(True),
           doPlotMASS   = cms.untracked.bool(False),
           doPlotENERGY = cms.untracked.bool(False),
           doPlotHEP17  = cms.untracked.bool(True),
           doPlotCSV    = cms.untracked.bool(False),
           doCALO       = cms.untracked.bool(False),
           doPF         = cms.untracked.bool(False),
           doPlotRazor  = cms.untracked.bool(False),
           doPlotDXY    = cms.untracked.bool(False), # missing electron collection
           doPlotDZ     = cms.untracked.bool(False),
           doPlotDiMass = cms.untracked.bool(False),
       ),
       cms.PSet(
           pathNAME = cms.string("HLT_Ele35_WPTight_Gsf_L1DoubleEG"),
           moduleNAME = cms.string("hltEle35L1DoubleEGWPTightGsfTrackIsoFilter"),
           label  = cms.string("iso GSF electron35 L1 doubleEG"),
           xTITLE = cms.string("iso GSF electron"),
           etaBINNING  = cms.vdouble(-3.,-2.5,-2.0,-1.7,-1.566,-1.4442,-1.3,-1.0,-0.5,0,0.5,1.,1.3,1.4442,1.566,1.7,2.0,2.5,3.0),
           ptBINNING   = cms.vdouble(0.,10.,20.,30.,40.,50.,60.,70.,80.,90.,100.,110.,120.,130.,140.,150.,160.,170.,180.,190.,200.),
           phiBINNING  = cms.vdouble(-3.2,-3.,-2.8,-2.6,-2.4,-2.2,-2.0,-1.8,-1.6,-1.4,-1.2,-1.0,-0.8,-0.6,-0.4,-0.2,0.,0.2,0.4,0.6,0.8,1.0,1.2,1.4,1.6,1.8,2.0,2.2,2.4,2.6,2.8,3.0,3.2),
           massBINNING = cms.vdouble(),
           dxyBINNING = cms.vdouble(-2.0,-1.5,-1.0,-0.8,-0.6,-0.4,-0.2,-0.1,-0.05,-0.025,0.0,0.025,0.05,0.1,0.2,0.4,0.6,0.8,1.0,1.5,2.0),
           dzBINNING  = cms.vdouble(-2.0,-1.5,-1.0,-0.8,-0.6,-0.4,-0.2,-0.1,-0.05,-0.025,0.0,0.025,0.05,0.1,0.2,0.4,0.6,0.8,1.0,1.5,2.0),
           dimassBINNING = cms.vdouble(0.,2.0,4.0,6.0,8.0,10.,12.,14.,20.,40.,60.,70.,80.,84.,86.,88.,90.,92.,94.,96.,100.,120.,140.,160.,200.),
           displayInPrimary_eta      = cms.bool(True),
           displayInPrimary_phi      = cms.bool(True),
           displayInPrimary_pt       = cms.bool(True),
           displayInPrimary_mass     = cms.bool(False),
           displayInPrimary_energy   = cms.bool(False),
           displayInPrimary_csv      = cms.bool(False),
           displayInPrimary_etaVSphi = cms.bool(True),
           displayInPrimary_pt_HEP17 = cms.bool(True),
           displayInPrimary_pt_HEM17 = cms.bool(True),
           displayInPrimary_MR       = cms.bool(False),
           displayInPrimary_RSQ      = cms.bool(False),
           displayInPrimary_dxy      = cms.bool(True),
           displayInPrimary_dz       = cms.bool(False),
           displayInPrimary_dimass   = cms.bool(False),
           doPlot2D     = cms.untracked.bool(True),
           doPlotETA    = cms.untracked.bool(True),
           doPlotMASS   = cms.untracked.bool(False),
           doPlotENERGY = cms.untracked.bool(False),
           doPlotHEP17  = cms.untracked.bool(True),
           doPlotCSV    = cms.untracked.bool(False),
           doCALO       = cms.untracked.bool(False),
           doPF         = cms.untracked.bool(False),
           doPlotRazor  = cms.untracked.bool(False),
           doPlotDXY    = cms.untracked.bool(False), # missing electron collection
           doPlotDZ     = cms.untracked.bool(False),
           doPlotDiMass = cms.untracked.bool(False),
       ),
)

