import FWCore.ParameterSet.Config as cms

susObjects = cms.VPSet(
       cms.PSet(
           pathNAME = cms.string("HLT_PFHT1050"),
           moduleNAME = cms.string("hltPFHT1050Jet30"),
           label  = cms.string("PF HT (jet 30)"),
           xTITLE = cms.string("PF HT (jet 30)"),
           etaBINNING  = cms.vdouble(-3.,-2.5,-2.0,-1.5,-1.0,-0.5,0.,0.5,1.0,1.5,2.0,2.5,3.),
           ptBINNING   = cms.vdouble(0.,100.,200.,300.,400.,500.,600.,700.,800.,900.,950.,1000.,1050.,1100.,1150.,1200.,1500.,2000.),
           phiBINNING  = cms.vdouble(-3.2,-3.,-2.8,-2.6,-2.4,-2.2,-2.0,-1.8,-1.6,-1.4,-1.2,-1.0,-0.8,-0.6,-0.4,-0.2,0.,0.2,0.4,0.6,0.8,1.0,1.2,1.4,1.6,1.8,2.0,2.2,2.4,2.6,2.8,3.0,3.2),
           massBINNING = cms.vdouble(),
           dxyBINNING = cms.vdouble(-2.0,-1.5,-1.0,-0.8,-0.6,-0.4,-0.2,-0.1,-0.05,-0.025,0.0,0.025,0.05,0.1,0.2,0.4,0.6,0.8,1.0,1.5,2.0),
           dzBINNING  = cms.vdouble(-2.0,-1.5,-1.0,-0.8,-0.6,-0.4,-0.2,-0.1,-0.05,-0.025,0.0,0.025,0.05,0.1,0.2,0.4,0.6,0.8,1.0,1.5,2.0),
           dimassBINNING = cms.vdouble(0.,2.0,4.0,6.0,8.0,10.,12.,14.,20.,40.,60.,70.,80.,84.,86.,88.,90.,92.,94.,96.,100.,120.,140.,160.,200.),
           displayInPrimary_eta      = cms.bool(True),
           displayInPrimary_phi      = cms.bool(True),
           displayInPrimary_pt       = cms.bool(True),
           displayInPrimary_mass     = cms.bool(False),
           displayInPrimary_energy   = cms.bool(False),
           displayInPrimary_csv      = cms.bool(False),
           displayInPrimary_etaVSphi = cms.bool(True),
           displayInPrimary_pt_HEP17 = cms.bool(True),
           displayInPrimary_pt_HEM17 = cms.bool(True),
           displayInPrimary_MR       = cms.bool(False),
           displayInPrimary_RSQ      = cms.bool(False),
           displayInPrimary_dxy      = cms.bool(False),
           displayInPrimary_dz       = cms.bool(False),
           displayInPrimary_dimass   = cms.bool(False),
           doPlot2D     = cms.untracked.bool(True),
           doPlotETA    = cms.untracked.bool(True),
           doPlotMASS   = cms.untracked.bool(False),
           doPlotENERGY = cms.untracked.bool(False),
           doPlotHEP17  = cms.untracked.bool(True),
           doPlotCSV    = cms.untracked.bool(False),
           doCALO       = cms.untracked.bool(False),
           doPF         = cms.untracked.bool(False),
           doPlotRazor  = cms.untracked.bool(False),
           doPlotDXY    = cms.untracked.bool(False), # missing electron collection
           doPlotDZ     = cms.untracked.bool(False),
           doPlotDiMass = cms.untracked.bool(False),
       ),
       cms.PSet(
           pathNAME = cms.string("HLT_DoubleEle8_CaloIdM_TrackIdM_Mass8_DZ_PFHT350"),
           moduleNAME = cms.string("hltDoubleEle8CaloIdMGsfTrackIdMDphiFilter"),
           label  = cms.string("caloIdM electron"),
           xTITLE = cms.string("caloIdM electron"),
           etaBINNING  = cms.vdouble(-3.,-2.5,-2.0,-1.7,-1.566,-1.4442,-1.3,-1.0,-0.5,0,0.5,1.,1.3,1.4442,1.566,1.7,2.0,2.5,3.0),
           ptBINNING   = cms.vdouble(0.,2.,3.,4.,5.,6.,7.,8.,9.,10.,11.,12.,13.,14.,15.,16.,17.,18.,19.,20.,30.,50.,70.,100.,150.,200.,300.),
           phiBINNING  = cms.vdouble(-3.2,-3.,-2.8,-2.6,-2.4,-2.2,-2.0,-1.8,-1.6,-1.4,-1.2,-1.0,-0.8,-0.6,-0.4,-0.2,0.,0.2,0.4,0.6,0.8,1.0,1.2,1.4,1.6,1.8,2.0,2.2,2.4,2.6,2.8,3.0,3.2),
           massBINNING = cms.vdouble(),
           dxyBINNING = cms.vdouble(-2.0,-1.5,-1.0,-0.8,-0.6,-0.4,-0.2,-0.1,-0.05,-0.025,0.0,0.025,0.05,0.1,0.2,0.4,0.6,0.8,1.0,1.5,2.0),
           dzBINNING  = cms.vdouble(-2.0,-1.5,-1.0,-0.8,-0.6,-0.4,-0.2,-0.1,-0.05,-0.025,0.0,0.025,0.05,0.1,0.2,0.4,0.6,0.8,1.0,1.5,2.0),
           dimassBINNING = cms.vdouble(0.,2.,3.,4.,5.,6.,7.,8.,9.,10.,11.,12.,13.,14.,15.,16.,17.,18.,19.,20.,40.,60.,70.,80.,84.,86.,88.,90.,92.,94.,96.,100.,120.,140.,160.,200.),
           displayInPrimary_eta      = cms.bool(True),
           displayInPrimary_phi      = cms.bool(True),
           displayInPrimary_pt       = cms.bool(True),
           displayInPrimary_mass     = cms.bool(False),
           displayInPrimary_energy   = cms.bool(False),
           displayInPrimary_csv      = cms.bool(False),
           displayInPrimary_etaVSphi = cms.bool(True),
           displayInPrimary_pt_HEP17 = cms.bool(True),
           displayInPrimary_pt_HEM17 = cms.bool(True),
           displayInPrimary_MR       = cms.bool(False),
           displayInPrimary_RSQ      = cms.bool(False),
           displayInPrimary_dxy      = cms.bool(True),
           displayInPrimary_dz       = cms.bool(True),
           displayInPrimary_dimass   = cms.bool(True),
           doPlot2D     = cms.untracked.bool(True),
           doPlotETA    = cms.untracked.bool(True),
           doPlotMASS   = cms.untracked.bool(False),
           doPlotENERGY = cms.untracked.bool(False),
           doPlotHEP17  = cms.untracked.bool(True),
           doPlotCSV    = cms.untracked.bool(False),
           doCALO       = cms.untracked.bool(False),
           doPF         = cms.untracked.bool(False),
           doPlotRazor  = cms.untracked.bool(False),
           doPlotDXY    = cms.untracked.bool(False),
           doPlotDZ     = cms.untracked.bool(True),
           doPlotDiMass = cms.untracked.bool(True),
       ),
       cms.PSet(
           pathNAME = cms.string("HLT_DoubleEle8_CaloIdM_TrackIdM_Mass8_DZ_PFHT350"),
           moduleNAME = cms.string("hltPFHT350Jet30"),
           label  = cms.string("PF HT350"),
           xTITLE = cms.string("PF HT"),
           etaBINNING  = cms.vdouble(-3.,-2.5,-2.0,-1.7,-1.566,-1.4442,-1.3,-1.0,-0.5,0,0.5,1.,1.3,1.4442,1.566,1.7,2.0,2.5,3.0),
           ptBINNING   = cms.vdouble(0.,50.,100.,150.,200.,250.,300.,330.,350.,360.,370.,380.,390.,400.,450.,500.),
           phiBINNING  = cms.vdouble(-3.2,-3.,-2.8,-2.6,-2.4,-2.2,-2.0,-1.8,-1.6,-1.4,-1.2,-1.0,-0.8,-0.6,-0.4,-0.2,0.,0.2,0.4,0.6,0.8,1.0,1.2,1.4,1.6,1.8,2.0,2.2,2.4,2.6,2.8,3.0,3.2),
           massBINNING = cms.vdouble(),
           dxyBINNING = cms.vdouble(-2.0,-1.5,-1.0,-0.8,-0.6,-0.4,-0.2,-0.1,-0.05,-0.025,0.0,0.025,0.05,0.1,0.2,0.4,0.6,0.8,1.0,1.5,2.0),
           dzBINNING  = cms.vdouble(-2.0,-1.5,-1.0,-0.8,-0.6,-0.4,-0.2,-0.1,-0.05,-0.025,0.0,0.025,0.05,0.1,0.2,0.4,0.6,0.8,1.0,1.5,2.0),
           dimassBINNING = cms.vdouble(0.,2.0,4.0,6.0,8.0,10.,12.,14.,20.,40.,60.,70.,80.,84.,86.,88.,90.,92.,94.,96.,100.,120.,140.,160.,200.),
           displayInPrimary_eta      = cms.bool(True),
           displayInPrimary_phi      = cms.bool(True),
           displayInPrimary_pt       = cms.bool(True),
           displayInPrimary_mass     = cms.bool(False),
           displayInPrimary_energy   = cms.bool(False),
           displayInPrimary_csv      = cms.bool(False),
           displayInPrimary_etaVSphi = cms.bool(True),
           displayInPrimary_pt_HEP17 = cms.bool(True),
           displayInPrimary_pt_HEM17 = cms.bool(True),
           displayInPrimary_MR       = cms.bool(False),
           displayInPrimary_RSQ      = cms.bool(False),
           displayInPrimary_dxy      = cms.bool(True),
           displayInPrimary_dz       = cms.bool(False),
           displayInPrimary_dimass   = cms.bool(False),
           doPlot2D     = cms.untracked.bool(True),
           doPlotETA    = cms.untracked.bool(True),
           doPlotMASS   = cms.untracked.bool(False),
           doPlotENERGY = cms.untracked.bool(False),
           doPlotHEP17  = cms.untracked.bool(True),
           doPlotCSV    = cms.untracked.bool(False),
           doCALO       = cms.untracked.bool(False),
           doPF         = cms.untracked.bool(False),
           doPlotRazor  = cms.untracked.bool(False),
           doPlotDXY    = cms.untracked.bool(False),
           doPlotDZ     = cms.untracked.bool(False),
           doPlotDiMass = cms.untracked.bool(False),
       ),
)

